#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'filemanagerconfig_ui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "filemanagerconfig_ui.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a FileManagerConfig_UI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
FileManagerConfig_UI::FileManagerConfig_UI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "FileManagerConfig_UI" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    FileManagerConfig_UILayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "FileManagerConfig_UILayout"); 
    unnamedLayout = new TQGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "unnamedLayout"); 

    labelDescription = new TQLabel( this, "labelDescription" );
    labelDescription->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    unnamedLayout->addMultiCellWidget( labelDescription, 0, 0, 0, 1 );

    Layout4 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout4"); 

    btnOpenFileAssociations = new TQPushButton( this, "btnOpenFileAssociations" );
    btnOpenFileAssociations->setEnabled( FALSE );
    btnOpenFileAssociations->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, btnOpenFileAssociations->sizePolicy().hasHeightForWidth() ) );
    Layout4->addWidget( btnOpenFileAssociations );

    unnamedLayout->addLayout( Layout4, 1, 0 );
    Spacer16 = new TQSpacerItem( 0, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    unnamedLayout->addItem( Spacer16, 1, 1 );
    Spacer4 = new TQSpacerItem( 0, 87, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    unnamedLayout->addItem( Spacer4, 2, 1 );
    FileManagerConfig_UILayout->addLayout( unnamedLayout );
    languageChange();
    resize( TQSize(263, 188).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnOpenFileAssociations, TQ_SIGNAL( clicked() ), this, TQ_SLOT( selectFileAssociations() ) );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
FileManagerConfig_UI::~FileManagerConfig_UI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FileManagerConfig_UI::languageChange()
{
    labelDescription->setText( tr2i18n( "The default file manager can be selected by changing the preferred application for mime type inode/directory in the File Associations control module" ) );
    btnOpenFileAssociations->setText( tr2i18n( "Open File Associations module" ) );
    TQWhatsThis::add( btnOpenFileAssociations, tr2i18n( "Click here to open the File Association control module." ) );
}

void FileManagerConfig_UI::selectFileAssociations()
{
    tqWarning( "FileManagerConfig_UI::selectFileAssociations(): Not implemented yet" );
}

/****************************************************************************
** FileManagerConfig_UI meta object code from reading C++ file 'filemanagerconfig_ui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "filemanagerconfig_ui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *FileManagerConfig_UI::className() const
{
    return "FileManagerConfig_UI";
}

TQMetaObject *FileManagerConfig_UI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_FileManagerConfig_UI( "FileManagerConfig_UI", &FileManagerConfig_UI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString FileManagerConfig_UI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FileManagerConfig_UI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString FileManagerConfig_UI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "FileManagerConfig_UI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* FileManagerConfig_UI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"selectFileAssociations", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "selectFileAssociations()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"FileManagerConfig_UI", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_FileManagerConfig_UI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* FileManagerConfig_UI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FileManagerConfig_UI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool FileManagerConfig_UI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: selectFileAssociations(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool FileManagerConfig_UI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool FileManagerConfig_UI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool FileManagerConfig_UI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
