#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'displayconfigbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "displayconfigbase.h"

#include <ntqvariant.h>
#include <monitorworkspace.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <ntqslider.h>
#include <ntqspinbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kdialog.h"
#include "kcombobox.h"
#include "kpushbutton.h"
#include "tqworkspace.h"

/*
 *  Constructs a DisplayConfigBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DisplayConfigBase::DisplayConfigBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "DisplayConfigBase" );
    DisplayConfigBaseLayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "DisplayConfigBaseLayout"); 

    mainTabContainerWidget = new TQTabWidget( this, "mainTabContainerWidget" );
    mainTabContainerWidget->setEnabled( TRUE );

    globalTab = new TQWidget( mainTabContainerWidget, "globalTab" );
    globalTabLayout = new TQGridLayout( globalTab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "globalTabLayout"); 

    nonRootWarningLabel = new TQLabel( globalTab, "nonRootWarningLabel" );

    globalTabLayout->addWidget( nonRootWarningLabel, 0, 0 );

    groupSystemSettings = new TQGroupBox( globalTab, "groupSystemSettings" );
    groupSystemSettings->setColumnLayout(0, TQt::Vertical );
    groupSystemSettings->layout()->setSpacing( KDialog::spacingHint() );
    groupSystemSettings->layout()->setMargin( KDialog::marginHint() );
    groupSystemSettingsLayout = new TQGridLayout( groupSystemSettings->layout() );
    groupSystemSettingsLayout->setAlignment( TQt::AlignTop );

    systemEnableSupport = new TQCheckBox( groupSystemSettings, "systemEnableSupport" );

    groupSystemSettingsLayout->addMultiCellWidget( systemEnableSupport, 0, 0, 0, 4 );

    layout7 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout7"); 

    systemEnableStartupProfile = new TQCheckBox( groupSystemSettings, "systemEnableStartupProfile" );
    layout7->addWidget( systemEnableStartupProfile );

    startupDisplayProfileList = new KComboBox( FALSE, groupSystemSettings, "startupDisplayProfileList" );
    layout7->addWidget( startupDisplayProfileList );

    groupSystemSettingsLayout->addMultiCellLayout( layout7, 1, 1, 0, 4 );

    globalTabLayout->addWidget( groupSystemSettings, 1, 0 );

    groupProfiles = new TQGroupBox( globalTab, "groupProfiles" );
    groupProfiles->setColumnLayout(0, TQt::Vertical );
    groupProfiles->layout()->setSpacing( KDialog::spacingHint() );
    groupProfiles->layout()->setMargin( KDialog::marginHint() );
    groupProfilesLayout = new TQGridLayout( groupProfiles->layout() );
    groupProfilesLayout->setAlignment( TQt::AlignTop );

    layout7_2 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout7_2"); 

    textLabel4_18 = new TQLabel( groupProfiles, "textLabel4_18" );
    layout7_2->addWidget( textLabel4_18 );

    displayProfileList = new KComboBox( FALSE, groupProfiles, "displayProfileList" );
    layout7_2->addWidget( displayProfileList );

    groupProfilesLayout->addMultiCellLayout( layout7_2, 1, 1, 0, 2 );

    addProfileButton = new KPushButton( groupProfiles, "addProfileButton" );

    groupProfilesLayout->addWidget( addProfileButton, 2, 0 );

    renameProfileButton = new KPushButton( groupProfiles, "renameProfileButton" );

    groupProfilesLayout->addWidget( renameProfileButton, 2, 1 );

    deleteProfileButton = new KPushButton( groupProfiles, "deleteProfileButton" );

    groupProfilesLayout->addWidget( deleteProfileButton, 2, 2 );

    reloadProfileButton = new KPushButton( groupProfiles, "reloadProfileButton" );

    groupProfilesLayout->addWidget( reloadProfileButton, 3, 0 );

    saveProfileButton = new KPushButton( groupProfiles, "saveProfileButton" );

    groupProfilesLayout->addWidget( saveProfileButton, 3, 1 );

    activateProfileButton = new KPushButton( groupProfiles, "activateProfileButton" );

    groupProfilesLayout->addWidget( activateProfileButton, 3, 2 );

    globalTabLayout->addWidget( groupProfiles, 2, 0 );

    groupProfileRules = new TQGroupBox( globalTab, "groupProfileRules" );
    groupProfileRules->setColumnLayout(0, TQt::Vertical );
    groupProfileRules->layout()->setSpacing( KDialog::spacingHint() );
    groupProfileRules->layout()->setMargin( KDialog::marginHint() );
    groupProfileRulesLayout = new TQGridLayout( groupProfileRules->layout() );
    groupProfileRulesLayout->setAlignment( TQt::AlignTop );

    profileRulesGridWidget = new TQWidget( groupProfileRules, "profileRulesGridWidget" );

    groupProfileRulesLayout->addWidget( profileRulesGridWidget, 0, 0 );

    globalTabLayout->addWidget( groupProfileRules, 3, 0 );
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    globalTabLayout->addItem( Spacer4, 4, 0 );
    mainTabContainerWidget->insertTab( globalTab, TQString::fromLatin1("") );

    resolutionTab = new TQWidget( mainTabContainerWidget, "resolutionTab" );
    resolutionTabLayout = new TQGridLayout( resolutionTab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "resolutionTabLayout"); 

    groupMonitorSettings = new TQGroupBox( resolutionTab, "groupMonitorSettings" );
    groupMonitorSettings->setColumnLayout(0, TQt::Vertical );
    groupMonitorSettings->layout()->setSpacing( KDialog::spacingHint() );
    groupMonitorSettings->layout()->setMargin( KDialog::marginHint() );
    groupMonitorSettingsLayout = new TQGridLayout( groupMonitorSettings->layout() );
    groupMonitorSettingsLayout->setAlignment( TQt::AlignTop );

    textLabel4_3 = new TQLabel( groupMonitorSettings, "textLabel4_3" );

    groupMonitorSettingsLayout->addMultiCellWidget( textLabel4_3, 0, 0, 0, 3 );

    monitorPhyArrange = new MonitorWorkspace( groupMonitorSettings, "monitorPhyArrange" );
    monitorPhyArrange->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 1, 0, monitorPhyArrange->sizePolicy().hasHeightForWidth() ) );
    monitorPhyArrange->setMinimumSize( TQSize( 150, 150 ) );
    monitorPhyArrange->setMaximumSize( TQSize( 32767, 400 ) );

    groupMonitorSettingsLayout->addMultiCellWidget( monitorPhyArrange, 1, 1, 0, 3 );

    textLabel4_4 = new TQLabel( groupMonitorSettings, "textLabel4_4" );

    groupMonitorSettingsLayout->addMultiCellWidget( textLabel4_4, 2, 2, 0, 3 );

    monitorDisplaySelectDD = new KComboBox( FALSE, groupMonitorSettings, "monitorDisplaySelectDD" );

    groupMonitorSettingsLayout->addMultiCellWidget( monitorDisplaySelectDD, 3, 3, 0, 3 );

    groupResolution = new TQGroupBox( groupMonitorSettings, "groupResolution" );
    groupResolution->setColumnLayout(0, TQt::Vertical );
    groupResolution->layout()->setSpacing( KDialog::spacingHint() );
    groupResolution->layout()->setMargin( KDialog::marginHint() );
    groupResolutionLayout = new TQGridLayout( groupResolution->layout() );
    groupResolutionLayout->setAlignment( TQt::AlignTop );

    textLabel4_5 = new TQLabel( groupResolution, "textLabel4_5" );

    groupResolutionLayout->addWidget( textLabel4_5, 0, 0 );

    resolutionSlider = new TQSlider( groupResolution, "resolutionSlider" );
    resolutionSlider->setMaxValue( 0 );
    resolutionSlider->setOrientation( TQSlider::Horizontal );
    resolutionSlider->setTickmarks( TQSlider::Below );
    resolutionSlider->setTickInterval( 1 );

    groupResolutionLayout->addWidget( resolutionSlider, 0, 1 );

    textLabel4_6 = new TQLabel( groupResolution, "textLabel4_6" );

    groupResolutionLayout->addWidget( textLabel4_6, 0, 2 );

    resolutionLabel = new TQLabel( groupResolution, "resolutionLabel" );
    resolutionLabel->setAlignment( int( TQLabel::AlignCenter ) );

    groupResolutionLayout->addWidget( resolutionLabel, 1, 1 );

    groupMonitorSettingsLayout->addMultiCellWidget( groupResolution, 4, 4, 0, 1 );

    groupColorDepth = new TQGroupBox( groupMonitorSettings, "groupColorDepth" );
    groupColorDepth->setColumnLayout(0, TQt::Vertical );
    groupColorDepth->layout()->setSpacing( KDialog::spacingHint() );
    groupColorDepth->layout()->setMargin( KDialog::marginHint() );
    groupColorDepthLayout = new TQGridLayout( groupColorDepth->layout() );
    groupColorDepthLayout->setAlignment( TQt::AlignTop );

    refreshRateDD = new KComboBox( FALSE, groupColorDepth, "refreshRateDD" );

    groupColorDepthLayout->addWidget( refreshRateDD, 0, 0 );

    colorBarWidget = new TQWidget( groupColorDepth, "colorBarWidget" );

    groupColorDepthLayout->addWidget( colorBarWidget, 1, 0 );

    groupMonitorSettingsLayout->addWidget( groupColorDepth, 4, 2 );

    groupOrientation = new TQGroupBox( groupMonitorSettings, "groupOrientation" );
    groupOrientation->setColumnLayout(0, TQt::Vertical );
    groupOrientation->layout()->setSpacing( KDialog::spacingHint() );
    groupOrientation->layout()->setMargin( KDialog::marginHint() );
    groupOrientationLayout = new TQGridLayout( groupOrientation->layout() );
    groupOrientationLayout->setAlignment( TQt::AlignTop );

    textLabel7_9 = new TQLabel( groupOrientation, "textLabel7_9" );

    groupOrientationLayout->addWidget( textLabel7_9, 0, 0 );

    rotationSelectDD = new KComboBox( FALSE, groupOrientation, "rotationSelectDD" );

    groupOrientationLayout->addWidget( rotationSelectDD, 1, 0 );

    orientationHFlip = new TQCheckBox( groupOrientation, "orientationHFlip" );

    groupOrientationLayout->addWidget( orientationHFlip, 0, 1 );

    orientationVFlip = new TQCheckBox( groupOrientation, "orientationVFlip" );

    groupOrientationLayout->addWidget( orientationVFlip, 1, 1 );

    groupMonitorSettingsLayout->addWidget( groupOrientation, 4, 3 );

    isPrimaryMonitorCB = new TQCheckBox( groupMonitorSettings, "isPrimaryMonitorCB" );

    groupMonitorSettingsLayout->addMultiCellWidget( isPrimaryMonitorCB, 6, 6, 0, 3 );

    isExtendedMonitorCB = new TQCheckBox( groupMonitorSettings, "isExtendedMonitorCB" );

    groupMonitorSettingsLayout->addMultiCellWidget( isExtendedMonitorCB, 7, 7, 0, 3 );

    rescanHardware = new KPushButton( groupMonitorSettings, "rescanHardware" );

    groupMonitorSettingsLayout->addWidget( rescanHardware, 8, 0 );

    loadExistingProfile = new KPushButton( groupMonitorSettings, "loadExistingProfile" );

    groupMonitorSettingsLayout->addWidget( loadExistingProfile, 8, 1 );

    layout7_3 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout7_3"); 

    previewConfiguration = new KPushButton( groupMonitorSettings, "previewConfiguration" );
    layout7_3->addWidget( previewConfiguration );

    identifyMonitors = new KPushButton( groupMonitorSettings, "identifyMonitors" );
    layout7_3->addWidget( identifyMonitors );

    groupMonitorSettingsLayout->addLayout( layout7_3, 8, 3 );

    resolutionTabLayout->addWidget( groupMonitorSettings, 1, 0 );
    Spacer4_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    resolutionTabLayout->addItem( Spacer4_2, 4, 0 );
    mainTabContainerWidget->insertTab( resolutionTab, TQString::fromLatin1("") );

    gammaTab = new TQWidget( mainTabContainerWidget, "gammaTab" );
    gammaTabLayout = new TQGridLayout( gammaTab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "gammaTabLayout"); 
    unnamedLayout = new TQGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "unnamedLayout"); 

    textLabel7_4 = new TQLabel( gammaTab, "textLabel7_4" );

    unnamedLayout->addWidget( textLabel7_4, 0, 0 );

    gammamonitorDisplaySelectDD = new KComboBox( FALSE, gammaTab, "gammamonitorDisplaySelectDD" );

    unnamedLayout->addWidget( gammamonitorDisplaySelectDD, 1, 0 );

    groupGamma = new TQGroupBox( gammaTab, "groupGamma" );
    groupGamma->setColumnLayout(0, TQt::Vertical );
    groupGamma->layout()->setSpacing( KDialog::spacingHint() );
    groupGamma->layout()->setMargin( KDialog::marginHint() );
    groupGammaLayout = new TQGridLayout( groupGamma->layout() );
    groupGammaLayout->setAlignment( TQt::AlignTop );

    groupGammaImages = new TQGroupBox( groupGamma, "groupGammaImages" );
    groupGammaImages->setColumnLayout(0, TQt::Vertical );
    groupGammaImages->layout()->setSpacing( KDialog::spacingHint() );
    groupGammaImages->layout()->setMargin( KDialog::marginHint() );
    groupGammaImagesLayout = new TQGridLayout( groupGammaImages->layout() );
    groupGammaImagesLayout->setAlignment( TQt::AlignTop );

    gammaTestImage = new TQWidget( groupGammaImages, "gammaTestImage" );
    gammaTestImage->setMaximumSize( TQSize( 305, 105 ) );
    gammaTestImage->setMinimumSize( TQSize( 305, 105 ) );

    groupGammaImagesLayout->addMultiCellWidget( gammaTestImage, 0, 0, 0, 1 );

    textLabel7_4_2 = new TQLabel( groupGammaImages, "textLabel7_4_2" );

    groupGammaImagesLayout->addWidget( textLabel7_4_2, 1, 0 );

    gammaTargetSelectDD = new KComboBox( FALSE, groupGammaImages, "gammaTargetSelectDD" );

    groupGammaImagesLayout->addWidget( gammaTargetSelectDD, 1, 1 );
    Spacer6 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupGammaImagesLayout->addItem( Spacer6, 0, 2 );
    Spacer7 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupGammaImagesLayout->addItem( Spacer7, 1, 2 );

    groupGammaLayout->addWidget( groupGammaImages, 0, 0 );

    groupHardware = new TQGroupBox( groupGamma, "groupHardware" );
    groupHardware->setColumnLayout(0, TQt::Vertical );
    groupHardware->layout()->setSpacing( KDialog::spacingHint() );
    groupHardware->layout()->setMargin( KDialog::marginHint() );
    groupHardwareLayout = new TQGridLayout( groupHardware->layout() );
    groupHardwareLayout->setAlignment( TQt::AlignTop );

    textLabel7_0 = new TQLabel( groupHardware, "textLabel7_0" );

    groupHardwareLayout->addWidget( textLabel7_0, 0, 0 );

    gammaAllSlider = new TQSlider( groupHardware, "gammaAllSlider" );
    gammaAllSlider->setMaxValue( 30 );
    gammaAllSlider->setOrientation( TQSlider::Horizontal );
    gammaAllSlider->setTickmarks( TQSlider::Below );
    gammaAllSlider->setTickInterval( 1 );

    groupHardwareLayout->addWidget( gammaAllSlider, 0, 1 );

    gammaAllLabel = new TQLabel( groupHardware, "gammaAllLabel" );

    groupHardwareLayout->addWidget( gammaAllLabel, 0, 2 );

    textLabel7_1 = new TQLabel( groupHardware, "textLabel7_1" );

    groupHardwareLayout->addWidget( textLabel7_1, 1, 0 );

    gammaRedSlider = new TQSlider( groupHardware, "gammaRedSlider" );
    gammaRedSlider->setMaxValue( 30 );
    gammaRedSlider->setOrientation( TQSlider::Horizontal );
    gammaRedSlider->setTickmarks( TQSlider::Below );
    gammaRedSlider->setTickInterval( 1 );

    groupHardwareLayout->addWidget( gammaRedSlider, 1, 1 );

    gammaRedLabel = new TQLabel( groupHardware, "gammaRedLabel" );

    groupHardwareLayout->addWidget( gammaRedLabel, 1, 2 );

    textLabel7_2 = new TQLabel( groupHardware, "textLabel7_2" );

    groupHardwareLayout->addWidget( textLabel7_2, 2, 0 );

    gammaGreenSlider = new TQSlider( groupHardware, "gammaGreenSlider" );
    gammaGreenSlider->setMaxValue( 30 );
    gammaGreenSlider->setOrientation( TQSlider::Horizontal );
    gammaGreenSlider->setTickmarks( TQSlider::Below );
    gammaGreenSlider->setTickInterval( 1 );

    groupHardwareLayout->addWidget( gammaGreenSlider, 2, 1 );

    gammaGreenLabel = new TQLabel( groupHardware, "gammaGreenLabel" );

    groupHardwareLayout->addWidget( gammaGreenLabel, 2, 2 );

    textLabel7_3 = new TQLabel( groupHardware, "textLabel7_3" );

    groupHardwareLayout->addWidget( textLabel7_3, 3, 0 );

    gammaBlueSlider = new TQSlider( groupHardware, "gammaBlueSlider" );
    gammaBlueSlider->setMaxValue( 30 );
    gammaBlueSlider->setOrientation( TQSlider::Horizontal );
    gammaBlueSlider->setTickmarks( TQSlider::Below );
    gammaBlueSlider->setTickInterval( 1 );

    groupHardwareLayout->addWidget( gammaBlueSlider, 3, 1 );

    gammaBlueLabel = new TQLabel( groupHardware, "gammaBlueLabel" );

    groupHardwareLayout->addWidget( gammaBlueLabel, 3, 2 );

    groupGammaLayout->addWidget( groupHardware, 1, 0 );

    gammaTipText = new TQLabel( groupGamma, "gammaTipText" );

    groupGammaLayout->addWidget( gammaTipText, 2, 0 );

    gammaTipText2 = new TQLabel( groupGamma, "gammaTipText2" );

    groupGammaLayout->addWidget( gammaTipText2, 3, 0 );

    unnamedLayout->addWidget( groupGamma, 2, 0 );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    unnamedLayout->addItem( Spacer5, 3, 0 );

    gammaTabLayout->addLayout( unnamedLayout, 0, 0 );
    mainTabContainerWidget->insertTab( gammaTab, TQString::fromLatin1("") );

    powerTab = new TQWidget( mainTabContainerWidget, "powerTab" );
    powerTabLayout = new TQGridLayout( powerTab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "powerTabLayout"); 

    groupPowerManagement = new TQGroupBox( powerTab, "groupPowerManagement" );
    groupPowerManagement->setColumnLayout(0, TQt::Vertical );
    groupPowerManagement->layout()->setSpacing( KDialog::spacingHint() );
    groupPowerManagement->layout()->setMargin( KDialog::marginHint() );
    groupPowerManagementLayout = new TQGridLayout( groupPowerManagement->layout() );
    groupPowerManagementLayout->setAlignment( TQt::AlignTop );

    systemEnableDPMS = new TQCheckBox( groupPowerManagement, "systemEnableDPMS" );

    groupPowerManagementLayout->addMultiCellWidget( systemEnableDPMS, 0, 0, 0, 2 );
    Spacer4_3 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupPowerManagementLayout->addItem( Spacer4_3, 0, 3 );

    systemEnableDPMSStandby = new TQCheckBox( groupPowerManagement, "systemEnableDPMSStandby" );

    groupPowerManagementLayout->addWidget( systemEnableDPMSStandby, 1, 0 );

    dpmsStandbyTimeout = new TQSpinBox( groupPowerManagement, "dpmsStandbyTimeout" );
    dpmsStandbyTimeout->setMinValue( 1 );
    dpmsStandbyTimeout->setMaxValue( 360 );

    groupPowerManagementLayout->addWidget( dpmsStandbyTimeout, 1, 1 );

    textLabel9_1 = new TQLabel( groupPowerManagement, "textLabel9_1" );

    groupPowerManagementLayout->addWidget( textLabel9_1, 1, 2 );

    systemEnableDPMSSuspend = new TQCheckBox( groupPowerManagement, "systemEnableDPMSSuspend" );

    groupPowerManagementLayout->addWidget( systemEnableDPMSSuspend, 2, 0 );

    dpmsSuspendTimeout = new TQSpinBox( groupPowerManagement, "dpmsSuspendTimeout" );
    dpmsSuspendTimeout->setMinValue( 1 );
    dpmsSuspendTimeout->setMaxValue( 360 );

    groupPowerManagementLayout->addWidget( dpmsSuspendTimeout, 2, 1 );

    textLabel9_2 = new TQLabel( groupPowerManagement, "textLabel9_2" );

    groupPowerManagementLayout->addWidget( textLabel9_2, 2, 2 );

    systemEnableDPMSPowerDown = new TQCheckBox( groupPowerManagement, "systemEnableDPMSPowerDown" );

    groupPowerManagementLayout->addWidget( systemEnableDPMSPowerDown, 3, 0 );

    dpmsPowerDownTimeout = new TQSpinBox( groupPowerManagement, "dpmsPowerDownTimeout" );
    dpmsPowerDownTimeout->setMinValue( 1 );
    dpmsPowerDownTimeout->setMaxValue( 360 );

    groupPowerManagementLayout->addWidget( dpmsPowerDownTimeout, 3, 1 );

    textLabel9_3 = new TQLabel( groupPowerManagement, "textLabel9_3" );

    groupPowerManagementLayout->addWidget( textLabel9_3, 3, 2 );

    powerTabLayout->addWidget( groupPowerManagement, 0, 0 );
    Spacer4_4 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    powerTabLayout->addItem( Spacer4_4, 1, 0 );
    mainTabContainerWidget->insertTab( powerTab, TQString::fromLatin1("") );

    DisplayConfigBaseLayout->addWidget( mainTabContainerWidget, 0, 0 );
    languageChange();
}

/*
 *  Destroys the object and frees any allocated resources
 */
DisplayConfigBase::~DisplayConfigBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DisplayConfigBase::languageChange()
{
    groupSystemSettings->setTitle( tr2i18n( "Global" ) );
    systemEnableSupport->setText( tr2i18n( "&Enable global display control" ) );
    systemEnableStartupProfile->setText( tr2i18n( "&Automatically apply profile on startup" ) );
    groupProfiles->setTitle( tr2i18n( "Display Profiles" ) );
    textLabel4_18->setText( tr2i18n( "Currently editing:" ) );
    addProfileButton->setText( tr2i18n( "Create New" ) );
    renameProfileButton->setText( tr2i18n( "Rename" ) );
    deleteProfileButton->setText( tr2i18n( "Delete" ) );
    reloadProfileButton->setText( tr2i18n( "Reload" ) );
    saveProfileButton->setText( tr2i18n( "Save" ) );
    activateProfileButton->setText( tr2i18n( "Activate" ) );
    groupProfileRules->setTitle( tr2i18n( "Hotplug Rules" ) );
    mainTabContainerWidget->changeTab( globalTab, tr2i18n( "Global Settings" ) );
    groupMonitorSettings->setTitle( tr2i18n( "Monitors" ) );
    textLabel4_3->setText( tr2i18n( "Drag the monitor icons to match the physical arrangement of your monitors." ) );
    textLabel4_4->setText( tr2i18n( "Display:" ) );
    groupResolution->setTitle( tr2i18n( "&Screen resolution" ) );
    textLabel4_5->setText( tr2i18n( "Less" ) );
    textLabel4_6->setText( tr2i18n( "More" ) );
    resolutionLabel->setText( tr2i18n( "unset" ) );
    groupColorDepth->setTitle( tr2i18n( "&Refresh rate" ) );
    groupOrientation->setTitle( tr2i18n( "Screen Transformations" ) );
    textLabel7_9->setText( tr2i18n( "Rotate screen by:" ) );
    orientationHFlip->setText( tr2i18n( "&Mirror screen horizontally" ) );
    orientationVFlip->setText( tr2i18n( "Mirror screen &vertically" ) );
    isPrimaryMonitorCB->setText( tr2i18n( "&Use this device as the primary monitor." ) );
    isExtendedMonitorCB->setText( tr2i18n( "&Extend my Trinity desktop onto this monitor." ) );
    rescanHardware->setText( tr2i18n( "&Rescan Displays" ) );
    loadExistingProfile->setText( tr2i18n( "Load &Existing Profile" ) );
    previewConfiguration->setText( tr2i18n( "&Test Settings" ) );
    identifyMonitors->setText( tr2i18n( "&Identify" ) );
    mainTabContainerWidget->changeTab( resolutionTab, tr2i18n( "Resolution and Layout" ) );
    textLabel7_4->setText( tr2i18n( "Display:" ) );
    groupGamma->setTitle( tr2i18n( "Gamma" ) );
    groupGammaImages->setTitle( tr2i18n( "Visual Calibration Aid" ) );
    textLabel7_4_2->setText( tr2i18n( "Target gamma:" ) );
    groupHardware->setTitle( tr2i18n( "Hardware Gamma Control" ) );
    textLabel7_0->setText( tr2i18n( "All" ) );
    gammaAllLabel->setText( TQString::null );
    textLabel7_1->setText( tr2i18n( "Red" ) );
    gammaRedLabel->setText( TQString::null );
    textLabel7_2->setText( tr2i18n( "Green" ) );
    gammaGreenLabel->setText( TQString::null );
    textLabel7_3->setText( tr2i18n( "Blue" ) );
    gammaBlueLabel->setText( TQString::null );
    gammaTipText->setText( tr2i18n( "Adjust the gamma sliders to make the squares above fade into their backgrounds as much as possible." ) );
    gammaTipText2->setText( tr2i18n( "Tip: Most computer software expects a gamma of 2.2.<br>Additionally, any ICC settings for the selected screen will override the gamma controls available on this tab." ) );
    mainTabContainerWidget->changeTab( gammaTab, tr2i18n( "Brightness and Gamma" ) );
    groupPowerManagement->setTitle( tr2i18n( "Energy Star (DPMS)" ) );
    systemEnableDPMS->setText( tr2i18n( "&Enable DPMS power save modes" ) );
    systemEnableDPMSStandby->setText( tr2i18n( "Enable &standby after" ) );
    textLabel9_1->setText( tr2i18n( "minutes." ) );
    systemEnableDPMSSuspend->setText( tr2i18n( "Enable &suspend after" ) );
    textLabel9_2->setText( tr2i18n( "minutes." ) );
    systemEnableDPMSPowerDown->setText( tr2i18n( "Enable &power down after" ) );
    textLabel9_3->setText( tr2i18n( "minutes." ) );
    mainTabContainerWidget->changeTab( powerTab, tr2i18n( "Power Management" ) );
}

void DisplayConfigBase::enableSupport_toggled(bool)
{
    tqWarning( "DisplayConfigBase::enableSupport_toggled(bool): Not implemented yet" );
}

/****************************************************************************
** DisplayConfigBase meta object code from reading C++ file 'displayconfigbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "displayconfigbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DisplayConfigBase::className() const
{
    return "DisplayConfigBase";
}

TQMetaObject *DisplayConfigBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DisplayConfigBase( "DisplayConfigBase", &DisplayConfigBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString DisplayConfigBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DisplayConfigBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString DisplayConfigBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DisplayConfigBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* DisplayConfigBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"enableSupport_toggled", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "enableSupport_toggled(bool)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DisplayConfigBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_DisplayConfigBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* DisplayConfigBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DisplayConfigBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool DisplayConfigBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: enableSupport_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DisplayConfigBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool DisplayConfigBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool DisplayConfigBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
