#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'hwmanagerbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "hwmanagerbase.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <tdelistviewsearchline.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "deviceiconview.h"

/*
 *  Constructs a TDEHWManagerBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TDEHWManagerBase::TDEHWManagerBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "TDEHWManagerBase" );
    TDEHWManagerBaseLayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "TDEHWManagerBaseLayout"); 

    TabWidget2 = new TQTabWidget( this, "TabWidget2" );
    TabWidget2->setEnabled( TRUE );

    tab = new TQWidget( TabWidget2, "tab" );
    tabLayout = new TQGridLayout( tab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout"); 

    groupSystemSettings = new TQGroupBox( tab, "groupSystemSettings" );
    groupSystemSettings->setColumnLayout(0, TQt::Vertical );
    groupSystemSettings->layout()->setSpacing( KDialog::spacingHint() );
    groupSystemSettings->layout()->setMargin( KDialog::marginHint() );
    groupSystemSettingsLayout = new TQGridLayout( groupSystemSettings->layout() );
    groupSystemSettingsLayout->setAlignment( TQt::AlignTop );

    showByConnection = new TQCheckBox( groupSystemSettings, "showByConnection" );

    groupSystemSettingsLayout->addMultiCellWidget( showByConnection, 0, 0, 0, 3 );

    deviceTree = new DeviceIconView( groupSystemSettings, "deviceTree" );

    groupSystemSettingsLayout->addMultiCellWidget( deviceTree, 1, 1, 0, 3 );

    unnamed = new TQLabel( groupSystemSettings, "unnamed" );

    groupSystemSettingsLayout->addWidget( unnamed, 2, 0 );

    deviceFilter = new TDEListViewSearchLine( groupSystemSettings, "deviceFilter" );

    groupSystemSettingsLayout->addMultiCellWidget( deviceFilter, 2, 2, 1, 3 );

    tabLayout->addWidget( groupSystemSettings, 0, 0 );
    TabWidget2->insertTab( tab, TQString::fromLatin1("") );

    TDEHWManagerBaseLayout->addWidget( TabWidget2, 0, 0 );
    languageChange();
}

/*
 *  Destroys the object and frees any allocated resources
 */
TDEHWManagerBase::~TDEHWManagerBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TDEHWManagerBase::languageChange()
{
    groupSystemSettings->setTitle( tr2i18n( "System Settings" ) );
    showByConnection->setText( tr2i18n( "&List devices by connection" ) );
    unnamed->setText( tr2i18n( "Filter by Name:" ) );
    TabWidget2->changeTab( tab, tr2i18n( "Devices" ) );
}

void TDEHWManagerBase::enableSupport_toggled(bool)
{
    tqWarning( "TDEHWManagerBase::enableSupport_toggled(bool): Not implemented yet" );
}

/****************************************************************************
** TDEHWManagerBase meta object code from reading C++ file 'hwmanagerbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "hwmanagerbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *TDEHWManagerBase::className() const
{
    return "TDEHWManagerBase";
}

TQMetaObject *TDEHWManagerBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_TDEHWManagerBase( "TDEHWManagerBase", &TDEHWManagerBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString TDEHWManagerBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TDEHWManagerBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString TDEHWManagerBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TDEHWManagerBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* TDEHWManagerBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"enableSupport_toggled", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "enableSupport_toggled(bool)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"TDEHWManagerBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_TDEHWManagerBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* TDEHWManagerBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TDEHWManagerBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool TDEHWManagerBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: enableSupport_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool TDEHWManagerBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool TDEHWManagerBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool TDEHWManagerBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
