#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'advancedOptions.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "advancedOptions.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <kcolorbutton.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <knuminput.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqslider.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a advancedKickerOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
advancedKickerOptions::advancedKickerOptions( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "advancedKickerOptions" );
    advancedKickerOptionsLayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "advancedKickerOptionsLayout"); 

    groupBox3 = new TQGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, TQt::Vertical );
    groupBox3->layout()->setSpacing( KDialog::spacingHint() );
    groupBox3->layout()->setMargin( KDialog::marginHint() );
    groupBox3Layout = new TQGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( TQt::AlignTop );

    TextLabel2 = new TQLabel( groupBox3, "TextLabel2" );

    groupBox3Layout->addWidget( TextLabel2, 0, 0 );

    hideButtonSize = new KIntSpinBox( groupBox3, "hideButtonSize" );
    hideButtonSize->setMaxValue( 24 );
    hideButtonSize->setMinValue( 3 );

    groupBox3Layout->addWidget( hideButtonSize, 0, 1 );
    spacer4 = new TQSpacerItem( 101, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox3Layout->addItem( spacer4, 0, 2 );
    advancedKickerOptionsLayout->addWidget( groupBox3 );

    handles = new TQButtonGroup( this, "handles" );
    handles->setColumnLayout(0, TQt::Vertical );
    handles->layout()->setSpacing( KDialog::spacingHint() );
    handles->layout()->setMargin( KDialog::marginHint() );
    handlesLayout = new TQHBoxLayout( handles->layout() );
    handlesLayout->setAlignment( TQt::AlignTop );

    visibleHandles = new TQRadioButton( handles, "visibleHandles" );
    visibleHandles->setChecked( TRUE );
    handlesLayout->addWidget( visibleHandles );

    fadeOutHandles = new TQRadioButton( handles, "fadeOutHandles" );
    handlesLayout->addWidget( fadeOutHandles );

    hideHandles = new TQRadioButton( handles, "hideHandles" );
    handlesLayout->addWidget( hideHandles );
    spacer1 = new TQSpacerItem( 21, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    handlesLayout->addItem( spacer1 );
    advancedKickerOptionsLayout->addWidget( handles );

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( KDialog::spacingHint() );
    groupBox2->layout()->setMargin( KDialog::marginHint() );
    groupBox2Layout = new TQGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    tintColorB = new KColorButton( groupBox2, "tintColorB" );
    tintColorB->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, tintColorB->sizePolicy().hasHeightForWidth() ) );

    groupBox2Layout->addWidget( tintColorB, 0, 1 );
    spacer2 = new TQSpacerItem( 20, 21, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    groupBox2Layout->addItem( spacer2, 2, 0 );

    textLabel3 = new TQLabel( groupBox2, "textLabel3" );
    textLabel3->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignLeft ) );

    groupBox2Layout->addWidget( textLabel3, 2, 1 );
    spacer3 = new TQSpacerItem( 81, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupBox2Layout->addItem( spacer3, 0, 2 );

    tintSlider = new TQSlider( groupBox2, "tintSlider" );
    tintSlider->setOrientation( TQSlider::Horizontal );

    groupBox2Layout->addMultiCellWidget( tintSlider, 1, 1, 1, 2 );

    textLabel2 = new TQLabel( groupBox2, "textLabel2" );
    textLabel2->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox2Layout->addWidget( textLabel2, 2, 2 );

    textLabel1_2 = new TQLabel( groupBox2, "textLabel1_2" );

    groupBox2Layout->addWidget( textLabel1_2, 1, 0 );

    textLabel1 = new TQLabel( groupBox2, "textLabel1" );

    groupBox2Layout->addWidget( textLabel1, 0, 0 );

    menubarPanelTransparent = new TQCheckBox( groupBox2, "menubarPanelTransparent" );

    groupBox2Layout->addMultiCellWidget( menubarPanelTransparent, 3, 3, 0, 1 );

    menubarPanelBlurred = new TQCheckBox( groupBox2, "menubarPanelBlurred" );

    groupBox2Layout->addMultiCellWidget( menubarPanelBlurred, 4, 4, 0, 1 );
    advancedKickerOptionsLayout->addWidget( groupBox2 );

    groupBox3_2 = new TQGroupBox( this, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, TQt::Vertical );
    groupBox3_2->layout()->setSpacing( KDialog::spacingHint() );
    groupBox3_2->layout()->setMargin( KDialog::marginHint() );
    groupBox3Layout_2 = new TQGridLayout( groupBox3_2->layout() );
    groupBox3Layout_2->setAlignment( TQt::AlignTop );

    kickerResizeHandle = new TQCheckBox( groupBox3_2, "kickerResizeHandle" );

    groupBox3Layout_2->addMultiCellWidget( kickerResizeHandle, 0, 0, 0, 1 );

    kickerDeepButtons = new TQCheckBox( groupBox3_2, "kickerDeepButtons" );

    groupBox3Layout_2->addMultiCellWidget( kickerDeepButtons, 0, 0, 2, 3 );
    advancedKickerOptionsLayout->addWidget( groupBox3_2 );
    languageChange();
    resize( TQSize(324, 235).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( hideButtonSize, visibleHandles );
    setTabOrder( visibleHandles, fadeOutHandles );
    setTabOrder( fadeOutHandles, hideHandles );
    setTabOrder( hideHandles, tintColorB );
    setTabOrder( tintColorB, tintSlider );

    // buddies
    TextLabel2->setBuddy( hideButtonSize );
    textLabel1_2->setBuddy( tintSlider );
    textLabel1->setBuddy( tintColorB );
}

/*
 *  Destroys the object and frees any allocated resources
 */
advancedKickerOptions::~advancedKickerOptions()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void advancedKickerOptions::languageChange()
{
    groupBox3->setTitle( tr2i18n( "Panel Dimensions" ) );
    TextLabel2->setText( tr2i18n( "&Hide button size:" ) );
    TQWhatsThis::add( TextLabel2, tr2i18n( "This setting defines how large the panel hide buttons will be if they are visible." ) );
    hideButtonSize->setSuffix( tr2i18n( " pixels" ) );
    TQWhatsThis::add( hideButtonSize, tr2i18n( "This setting defines how large the panel hide buttons will be if they are visible." ) );
    handles->setTitle( tr2i18n( "Applet Handles" ) );
    visibleHandles->setText( tr2i18n( "&Visible" ) );
    TQWhatsThis::add( visibleHandles, tr2i18n( "<qt>\n"
"<p>Select this option to always show the Applet Handles.</p>\n"
"<p>Applet Handles let you move, remove and configure applets in the panel.</p>\n"
"</qt>" ) );
    fadeOutHandles->setText( tr2i18n( "&Fade out" ) );
    TQWhatsThis::add( fadeOutHandles, tr2i18n( "<qt>\n"
"<p>Select this option to make Applet Handles visible only on mouse hover.</p>\n"
"<p>Applet Handles let you move, remove and configure applets in the panel.</p>\n"
"</qt>" ) );
    hideHandles->setText( tr2i18n( "&Hide" ) );
    TQWhatsThis::add( hideHandles, tr2i18n( "<qt>\n"
"<p><p>Select this option to always hide the Applet Handles. Beware that this option can disable removing, moving or configuring some applets.</p>\n"
"</qt>" ) );
    groupBox2->setTitle( tr2i18n( "Transparency" ) );
    tintColorB->setText( TQString::null );
    TQWhatsThis::add( tintColorB, tr2i18n( "Click on this button to set the color to use when tinting transparent panels." ) );
    textLabel3->setText( tr2i18n( "Min" ) );
    TQWhatsThis::add( textLabel3, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    TQWhatsThis::add( tintSlider, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    textLabel2->setText( tr2i18n( "Max" ) );
    TQWhatsThis::add( textLabel2, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    textLabel1_2->setText( tr2i18n( "Ti&nt amount:" ) );
    TQWhatsThis::add( textLabel1_2, tr2i18n( "Use this slider to set how much transparent panels should be tinted using the tint color." ) );
    textLabel1->setText( tr2i18n( "Tint c&olor:" ) );
    TQWhatsThis::add( textLabel1, tr2i18n( "Click on this button to set the color to use when tinting transparent panels." ) );
    menubarPanelTransparent->setText( tr2i18n( "Also apply to panel with menu bar" ) );
    TQWhatsThis::add( menubarPanelTransparent, tr2i18n( "Normally if you have the desktop's or current application's menu bar displayed in a panel at the top of the screen (MacOS-style), transparency is disabled for this panel to avoid the desktop background clashing with the menu bar. Set this option to make it transparent anyways." ) );
    menubarPanelBlurred->setText( tr2i18n( "Blur the background when transparency is enabled" ) );
    TQWhatsThis::add( menubarPanelBlurred, tr2i18n( "When checked, the displayed semi-transparent background image will be blurred to reduce eyestrain." ) );
    groupBox3_2->setTitle( tr2i18n( "Texture" ) );
    kickerResizeHandle->setText( tr2i18n( "Show resize handle on panels" ) );
    TQWhatsThis::add( kickerResizeHandle, tr2i18n( "Enabling this option will show a resize handle on the resizable end of each panel." ) );
    kickerDeepButtons->setText( tr2i18n( "Use deep buttons" ) );
    TQWhatsThis::add( kickerDeepButtons, tr2i18n( "Enabling this option will yield more highly textured panels." ) );
}

/****************************************************************************
** advancedKickerOptions meta object code from reading C++ file 'advancedOptions.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "advancedOptions.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *advancedKickerOptions::className() const
{
    return "advancedKickerOptions";
}

TQMetaObject *advancedKickerOptions::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_advancedKickerOptions( "advancedKickerOptions", &advancedKickerOptions::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString advancedKickerOptions::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "advancedKickerOptions", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString advancedKickerOptions::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "advancedKickerOptions", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* advancedKickerOptions::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"advancedKickerOptions", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_advancedKickerOptions.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* advancedKickerOptions::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "advancedKickerOptions" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool advancedKickerOptions::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool advancedKickerOptions::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool advancedKickerOptions::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool advancedKickerOptions::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
