#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'lookandfeeltab.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "lookandfeeltab.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <kdialog.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <kcombobox.h>
#include <ntqbuttongroup.h>
#include <kurlrequester.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a LookAndFeelTabBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
LookAndFeelTabBase::LookAndFeelTabBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "LookAndFeelTabBase" );
    LookAndFeelTabBaseLayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "LookAndFeelTabBaseLayout"); 

    general_group = new TQGroupBox( this, "general_group" );
    general_group->setColumnLayout(0, TQt::Vertical );
    general_group->layout()->setSpacing( KDialog::spacingHint() );
    general_group->layout()->setMargin( KDialog::marginHint() );
    general_groupLayout = new TQHBoxLayout( general_group->layout() );
    general_groupLayout->setAlignment( TQt::AlignTop );

    kcfg_ShowMouseOverEffects = new TQCheckBox( general_group, "kcfg_ShowMouseOverEffects" );
    general_groupLayout->addWidget( kcfg_ShowMouseOverEffects );

    kcfg_ShowIconActivationEffect = new TQCheckBox( general_group, "kcfg_ShowIconActivationEffect" );
    general_groupLayout->addWidget( kcfg_ShowIconActivationEffect );

    kcfg_ShowToolTips = new TQCheckBox( general_group, "kcfg_ShowToolTips" );
    general_groupLayout->addWidget( kcfg_ShowToolTips );
    LookAndFeelTabBaseLayout->addWidget( general_group );

    GroupBox9 = new TQGroupBox( this, "GroupBox9" );
    GroupBox9->setColumnLayout(0, TQt::Vertical );
    GroupBox9->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox9->layout()->setMargin( KDialog::marginHint() );
    GroupBox9Layout = new TQGridLayout( GroupBox9->layout() );
    GroupBox9Layout->setAlignment( TQt::AlignTop );

    TextLabel1 = new TQLabel( GroupBox9, "TextLabel1" );

    GroupBox9Layout->addWidget( TextLabel1, 0, 0 );

    TextLabel2 = new TQLabel( GroupBox9, "TextLabel2" );

    GroupBox9Layout->addWidget( TextLabel2, 3, 0 );

    m_browserTile = new KComboBox( FALSE, GroupBox9, "m_browserTile" );
    m_browserTile->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)1, 0, 0, m_browserTile->sizePolicy().hasHeightForWidth() ) );
    m_browserTile->setInsertionPolicy( KComboBox::NoInsertion );

    GroupBox9Layout->addWidget( m_browserTile, 3, 1 );

    m_kmenuTile = new KComboBox( FALSE, GroupBox9, "m_kmenuTile" );
    m_kmenuTile->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)1, 0, 0, m_kmenuTile->sizePolicy().hasHeightForWidth() ) );
    m_kmenuTile->setInsertionPolicy( KComboBox::NoInsertion );

    GroupBox9Layout->addWidget( m_kmenuTile, 0, 1 );

    kcfg_BrowserTileColor = new KColorButton( GroupBox9, "kcfg_BrowserTileColor" );

    GroupBox9Layout->addWidget( kcfg_BrowserTileColor, 3, 2 );

    kcfg_KMenuTileColor = new KColorButton( GroupBox9, "kcfg_KMenuTileColor" );

    GroupBox9Layout->addWidget( kcfg_KMenuTileColor, 0, 2 );

    m_windowListTile = new KComboBox( FALSE, GroupBox9, "m_windowListTile" );
    m_windowListTile->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)1, 0, 0, m_windowListTile->sizePolicy().hasHeightForWidth() ) );
    m_windowListTile->setInsertionPolicy( KComboBox::NoInsertion );

    GroupBox9Layout->addWidget( m_windowListTile, 4, 1 );

    kcfg_WindowListTileColor = new KColorButton( GroupBox9, "kcfg_WindowListTileColor" );

    GroupBox9Layout->addWidget( kcfg_WindowListTileColor, 4, 2 );

    TextLabel5 = new TQLabel( GroupBox9, "TextLabel5" );

    GroupBox9Layout->addWidget( TextLabel5, 4, 0 );

    m_desktopTile = new KComboBox( FALSE, GroupBox9, "m_desktopTile" );
    m_desktopTile->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)1, 0, 0, m_desktopTile->sizePolicy().hasHeightForWidth() ) );
    m_desktopTile->setInsertionPolicy( KComboBox::NoInsertion );

    GroupBox9Layout->addWidget( m_desktopTile, 2, 1 );

    kcfg_DesktopButtonTileColor = new KColorButton( GroupBox9, "kcfg_DesktopButtonTileColor" );

    GroupBox9Layout->addWidget( kcfg_DesktopButtonTileColor, 2, 2 );

    TextLabel6 = new TQLabel( GroupBox9, "TextLabel6" );

    GroupBox9Layout->addWidget( TextLabel6, 2, 0 );

    kcfg_URLTileColor = new KColorButton( GroupBox9, "kcfg_URLTileColor" );

    GroupBox9Layout->addWidget( kcfg_URLTileColor, 1, 2 );

    TextLabel3 = new TQLabel( GroupBox9, "TextLabel3" );

    GroupBox9Layout->addWidget( TextLabel3, 1, 0 );

    m_urlTile = new KComboBox( FALSE, GroupBox9, "m_urlTile" );
    m_urlTile->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)1, 0, 0, m_urlTile->sizePolicy().hasHeightForWidth() ) );
    m_urlTile->setInsertionPolicy( KComboBox::NoInsertion );

    GroupBox9Layout->addWidget( m_urlTile, 1, 1 );
    Spacer48 = new TQSpacerItem( 66, 130, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    GroupBox9Layout->addMultiCell( Spacer48, 0, 4, 3, 3 );
    LookAndFeelTabBaseLayout->addWidget( GroupBox9 );

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( KDialog::spacingHint() );
    buttonGroup1->layout()->setMargin( KDialog::marginHint() );
    buttonGroup1Layout = new TQGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );
    spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    buttonGroup1Layout->addMultiCell( spacer5, 2, 3, 0, 0 );

    kcfg_ColorizeBackground = new TQCheckBox( buttonGroup1, "kcfg_ColorizeBackground" );
    kcfg_ColorizeBackground->setEnabled( FALSE );
    kcfg_ColorizeBackground->setChecked( TRUE );

    buttonGroup1Layout->addWidget( kcfg_ColorizeBackground, 3, 1 );

    m_backgroundLabel = new TQLabel( buttonGroup1, "m_backgroundLabel" );
    m_backgroundLabel->setEnabled( FALSE );
    m_backgroundLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, m_backgroundLabel->sizePolicy().hasHeightForWidth() ) );
    m_backgroundLabel->setMinimumSize( TQSize( 50, 50 ) );
    m_backgroundLabel->setMaximumSize( TQSize( 50, 50 ) );
    m_backgroundLabel->setFrameShape( TQLabel::Panel );
    m_backgroundLabel->setFrameShadow( TQLabel::Sunken );
    m_backgroundLabel->setScaledContents( TRUE );
    m_backgroundLabel->setAlignment( int( TQLabel::AlignCenter ) );

    buttonGroup1Layout->addMultiCellWidget( m_backgroundLabel, 0, 1, 2, 2 );

    kcfg_BackgroundTheme = new KURLRequester( buttonGroup1, "kcfg_BackgroundTheme" );
    kcfg_BackgroundTheme->setEnabled( FALSE );
    kcfg_BackgroundTheme->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 1, 0, kcfg_BackgroundTheme->sizePolicy().hasHeightForWidth() ) );

    buttonGroup1Layout->addMultiCellWidget( kcfg_BackgroundTheme, 2, 2, 1, 2 );

    kcfg_UseBackgroundTheme = new TQCheckBox( buttonGroup1, "kcfg_UseBackgroundTheme" );

    buttonGroup1Layout->addMultiCellWidget( kcfg_UseBackgroundTheme, 1, 1, 0, 1 );

    kcfg_Transparent = new TQCheckBox( buttonGroup1, "kcfg_Transparent" );

    buttonGroup1Layout->addMultiCellWidget( kcfg_Transparent, 0, 0, 0, 1 );
    LookAndFeelTabBaseLayout->addWidget( buttonGroup1 );

    layout3 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 

    advancedOptionsButton = new TQPushButton( this, "advancedOptionsButton" );
    layout3->addWidget( advancedOptionsButton );
    Spacer4 = new TQSpacerItem( 289, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout3->addItem( Spacer4 );
    LookAndFeelTabBaseLayout->addLayout( layout3 );
    spacer4 = new TQSpacerItem( 20, 0, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    LookAndFeelTabBaseLayout->addItem( spacer4 );
    languageChange();
    resize( TQSize(416, 443).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_BackgroundTheme, TQ_SIGNAL( urlSelected(const TQString&) ), this, TQ_SLOT( browseTheme(const TQString&) ) );
    connect( advancedOptionsButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( launchAdvancedDialog() ) );
    connect( kcfg_BackgroundTheme, TQ_SIGNAL( returnPressed(const TQString&) ), this, TQ_SLOT( browseTheme(const TQString&) ) );
    connect( kcfg_Transparent, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( enableTransparency(bool) ) );
    connect( kcfg_UseBackgroundTheme, TQ_SIGNAL( toggled(bool) ), m_backgroundLabel, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_UseBackgroundTheme, TQ_SIGNAL( toggled(bool) ), kcfg_ColorizeBackground, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_UseBackgroundTheme, TQ_SIGNAL( toggled(bool) ), kcfg_BackgroundTheme, TQ_SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( kcfg_ShowMouseOverEffects, kcfg_ShowToolTips );
    setTabOrder( kcfg_ShowToolTips, m_kmenuTile );
    setTabOrder( m_kmenuTile, kcfg_KMenuTileColor );
    setTabOrder( kcfg_KMenuTileColor, m_urlTile );
    setTabOrder( m_urlTile, kcfg_URLTileColor );
    setTabOrder( kcfg_URLTileColor, m_desktopTile );
    setTabOrder( m_desktopTile, kcfg_DesktopButtonTileColor );
    setTabOrder( kcfg_DesktopButtonTileColor, m_browserTile );
    setTabOrder( m_browserTile, kcfg_BrowserTileColor );
    setTabOrder( kcfg_BrowserTileColor, m_windowListTile );
    setTabOrder( m_windowListTile, kcfg_WindowListTileColor );
    setTabOrder( kcfg_WindowListTileColor, kcfg_BackgroundTheme );
    setTabOrder( kcfg_BackgroundTheme, kcfg_ColorizeBackground );
    setTabOrder( kcfg_ColorizeBackground, advancedOptionsButton );

    // buddies
    TextLabel1->setBuddy( m_kmenuTile );
    TextLabel2->setBuddy( m_browserTile );
    TextLabel5->setBuddy( m_windowListTile );
    TextLabel6->setBuddy( m_desktopTile );
    TextLabel3->setBuddy( m_urlTile );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LookAndFeelTabBase::~LookAndFeelTabBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LookAndFeelTabBase::languageChange()
{
    TQWhatsThis::add( this, tr2i18n( "If this option is selected, informational tooltips will appear when the mouse cursor moves over the icons, buttons and applets in the panel." ) );
    general_group->setTitle( tr2i18n( "General" ) );
    kcfg_ShowMouseOverEffects->setText( tr2i18n( "Enable icon &mouseover effects" ) );
    TQWhatsThis::add( kcfg_ShowMouseOverEffects, tr2i18n( "When this option is selected a mouseover effect appears when the mouse cursor is moved over panel buttons" ) );
    kcfg_ShowIconActivationEffect->setText( tr2i18n( "Enable icon activation effects" ) );
    TQWhatsThis::add( kcfg_ShowIconActivationEffect, tr2i18n( "When this option is selected an activation effect appears when panel buttons are left clicked." ) );
    kcfg_ShowToolTips->setText( tr2i18n( "Show too&ltips" ) );
    TQWhatsThis::add( kcfg_ShowToolTips, tr2i18n( "When this option is selected informational tooltips will appear when the mouse cursor moves over the icons, buttons and applets in the panel." ) );
    GroupBox9->setTitle( tr2i18n( "Button Backgrounds" ) );
    TextLabel1->setText( tr2i18n( "&TDE menu:" ) );
    TQWhatsThis::add( TextLabel1, tr2i18n( "Choose a tile image for the TDE menu." ) );
    TextLabel2->setText( tr2i18n( "&QuickBrowser menus:" ) );
    TQWhatsThis::add( TextLabel2, tr2i18n( "Choose a tile image for Quick Browser buttons." ) );
    m_browserTile->clear();
    m_browserTile->insertItem( tr2i18n( "Default" ) );
    m_browserTile->insertItem( tr2i18n( "Custom Color" ) );
    TQWhatsThis::add( m_browserTile, tr2i18n( "Choose a tile image for Quick Browser buttons." ) );
    m_kmenuTile->clear();
    m_kmenuTile->insertItem( tr2i18n( "Default" ) );
    m_kmenuTile->insertItem( tr2i18n( "Custom Color" ) );
    TQWhatsThis::add( m_kmenuTile, tr2i18n( "Choose a tile image for the TDE menu." ) );
    kcfg_BrowserTileColor->setText( TQString::null );
    TQWhatsThis::add( kcfg_BrowserTileColor, tr2i18n( "When the Custom Color option is selected, use this button to pick a color for quick browser tile backgrounds" ) );
    kcfg_KMenuTileColor->setText( TQString::null );
    TQWhatsThis::add( kcfg_KMenuTileColor, tr2i18n( "When the Custom Color option is selected, use this button to pick a color for the TDE menu tile background" ) );
    m_windowListTile->clear();
    m_windowListTile->insertItem( tr2i18n( "Default" ) );
    m_windowListTile->insertItem( tr2i18n( "Custom Color" ) );
    TQWhatsThis::add( m_windowListTile, tr2i18n( "Choose a tile image for window list buttons." ) );
    kcfg_WindowListTileColor->setText( TQString::null );
    TQWhatsThis::add( kcfg_WindowListTileColor, tr2i18n( "When the Custom Color option is selected, use this button to pick a color for window list tile backgrounds" ) );
    TextLabel5->setText( tr2i18n( "&Window list:" ) );
    TQWhatsThis::add( TextLabel5, tr2i18n( "Choose a tile image for window list buttons." ) );
    m_desktopTile->clear();
    m_desktopTile->insertItem( tr2i18n( "Default" ) );
    m_desktopTile->insertItem( tr2i18n( "Custom Color" ) );
    TQWhatsThis::add( m_desktopTile, tr2i18n( "Choose a tile image for desktop access buttons." ) );
    kcfg_DesktopButtonTileColor->setText( TQString::null );
    TQWhatsThis::add( kcfg_DesktopButtonTileColor, tr2i18n( "When the Custom Color option is selected, use this button to pick a color for the desktop tile background" ) );
    TextLabel6->setText( tr2i18n( "De&sktop access:" ) );
    TQWhatsThis::add( TextLabel6, tr2i18n( "Choose a tile image for desktop access buttons." ) );
    kcfg_URLTileColor->setText( TQString::null );
    TQWhatsThis::add( kcfg_URLTileColor, tr2i18n( "When the Custom Color option is selected, use this button to pick a color for application tile backgrounds" ) );
    TextLabel3->setText( tr2i18n( "Applicatio&ns:" ) );
    TQWhatsThis::add( TextLabel3, tr2i18n( "Choose a tile image for buttons that launch applications." ) );
    m_urlTile->clear();
    m_urlTile->insertItem( tr2i18n( "Default" ) );
    m_urlTile->insertItem( tr2i18n( "Custom Color" ) );
    TQWhatsThis::add( m_urlTile, tr2i18n( "Choose a tile image for buttons that launch applications." ) );
    buttonGroup1->setTitle( tr2i18n( "Panel Background" ) );
    kcfg_ColorizeBackground->setText( tr2i18n( "Colorize to &match the desktop color scheme" ) );
    TQWhatsThis::add( kcfg_ColorizeBackground, tr2i18n( "If this option is selected, the panel background image will be colored to match the default colors. To change the default colors, go to the 'Colors' control module." ) );
    TQWhatsThis::add( m_backgroundLabel, tr2i18n( "This is a preview for the selected background image." ) );
    TQWhatsThis::add( kcfg_BackgroundTheme, tr2i18n( "Here you can choose a theme to be displayed by the panel. Press the 'Browse' button to choose a theme using the file dialog.\n"
"This option is only active if 'Enable background image' is selected." ) );
    kcfg_UseBackgroundTheme->setText( tr2i18n( "Enable &background image" ) );
    kcfg_Transparent->setText( tr2i18n( "Enable &transparency" ) );
    advancedOptionsButton->setText( tr2i18n( "Advanc&ed Options" ) );
    TQWhatsThis::add( advancedOptionsButton, tr2i18n( "Click here to open the Advanced Options dialog. You can configure the applet handles look and feel, the tint transparency color and more." ) );
}

/****************************************************************************
** LookAndFeelTabBase meta object code from reading C++ file 'lookandfeeltab.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "lookandfeeltab.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *LookAndFeelTabBase::className() const
{
    return "LookAndFeelTabBase";
}

TQMetaObject *LookAndFeelTabBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_LookAndFeelTabBase( "LookAndFeelTabBase", &LookAndFeelTabBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString LookAndFeelTabBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "LookAndFeelTabBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString LookAndFeelTabBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "LookAndFeelTabBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* LookAndFeelTabBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"launchAdvancedDialog", 0, 0 };
    static const TQUParameter param_slot_2[] = {
	{ 0, &static_QUType_TQString, 0, TQUParameter::In }
    };
    static const TQUMethod slot_2 = {"browseTheme", 1, param_slot_2 };
    static const TQUParameter param_slot_3[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_3 = {"enableTransparency", 1, param_slot_3 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "launchAdvancedDialog()", &slot_1, TQMetaData::Protected },
	{ "browseTheme(const TQString&)", &slot_2, TQMetaData::Protected },
	{ "enableTransparency(bool)", &slot_3, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"LookAndFeelTabBase", parentObject,
	slot_tbl, 4,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_LookAndFeelTabBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* LookAndFeelTabBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "LookAndFeelTabBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool LookAndFeelTabBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: launchAdvancedDialog(); break;
    case 2: browseTheme((const TQString&)static_QUType_TQString.get(_o+1)); break;
    case 3: enableTransparency((bool)static_QUType_bool.get(_o+1)); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool LookAndFeelTabBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool LookAndFeelTabBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool LookAndFeelTabBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
