#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'nsconfigwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "nsconfigwidget.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <tqwidget.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqcheckbox.h>
#include <ntqgroupbox.h>
#include <kurlrequester.h>
#include <tdelistbox.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a NSConfigWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NSConfigWidget::NSConfigWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "NSConfigWidget" );
    NSConfigWidgetLayout = new TQVBoxLayout( this, 0, 6, "NSConfigWidgetLayout"); 

    TabWidget2 = new TQTabWidget( this, "TabWidget2" );

    tab = new TQWidget( TabWidget2, "tab" );
    tabLayout = new TQVBoxLayout( tab, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout"); 

    Layout1 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout1"); 

    scanButton = new TQPushButton( tab, "scanButton" );
    Layout1->addWidget( scanButton );
    Spacer1_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout1->addItem( Spacer1_2 );
    tabLayout->addLayout( Layout1 );

    scanAtStartup = new TQCheckBox( tab, "scanAtStartup" );
    tabLayout->addWidget( scanAtStartup );

    GroupBox1 = new TQGroupBox( tab, "GroupBox1" );
    GroupBox1->setMinimumSize( TQSize( 300, 0 ) );
    GroupBox1->setColumnLayout(0, TQt::Vertical );
    GroupBox1->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox1->layout()->setMargin( KDialog::marginHint() );
    GroupBox1Layout = new TQGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( TQt::AlignTop );

    dirRemove = new TQPushButton( GroupBox1, "dirRemove" );
    dirRemove->setEnabled( FALSE );

    GroupBox1Layout->addWidget( dirRemove, 1, 2 );

    dirNew = new TQPushButton( GroupBox1, "dirNew" );

    GroupBox1Layout->addWidget( dirNew, 0, 2 );

    dirEdit = new KURLRequester( GroupBox1, "dirEdit" );
    dirEdit->setEnabled( FALSE );
    dirEdit->setProperty( "mode", 18 );

    GroupBox1Layout->addMultiCellWidget( dirEdit, 0, 0, 0, 1 );

    dirDown = new TQPushButton( GroupBox1, "dirDown" );
    dirDown->setEnabled( FALSE );

    GroupBox1Layout->addWidget( dirDown, 3, 2 );

    dirUp = new TQPushButton( GroupBox1, "dirUp" );
    dirUp->setEnabled( FALSE );

    GroupBox1Layout->addWidget( dirUp, 2, 2 );

    dirList = new TDEListBox( GroupBox1, "dirList" );
    dirList->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, dirList->sizePolicy().hasHeightForWidth() ) );

    GroupBox1Layout->addMultiCellWidget( dirList, 1, 4, 0, 1 );
    Spacer3 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    GroupBox1Layout->addItem( Spacer3, 4, 2 );
    tabLayout->addWidget( GroupBox1 );
    TabWidget2->insertTab( tab, TQString::fromLatin1("") );

    tab_2 = new TQWidget( TabWidget2, "tab_2" );
    tabLayout_2 = new TQGridLayout( tab_2, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout_2"); 

    pluginList = new TQListView( tab_2, "pluginList" );
    pluginList->addColumn( tr2i18n( "Information" ) );
    pluginList->addColumn( tr2i18n( "Value" ) );
    pluginList->setAllColumnsShowFocus( TRUE );

    tabLayout_2->addWidget( pluginList, 1, 0 );

    useArtsdsp = new TQCheckBox( tab_2, "useArtsdsp" );
    useArtsdsp->setEnabled( TRUE );

    tabLayout_2->addWidget( useArtsdsp, 0, 0 );
    TabWidget2->insertTab( tab_2, TQString::fromLatin1("") );
    NSConfigWidgetLayout->addWidget( TabWidget2 );
    languageChange();
    resize( TQSize(458, 373).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NSConfigWidget::~NSConfigWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NSConfigWidget::languageChange()
{
    setCaption( tr2i18n( "Netscape Plugin Config" ) );
    scanButton->setText( tr2i18n( "&Scan for New Plugins" ) );
    TQWhatsThis::add( scanButton, tr2i18n( "Click here to scan for newly installed Netscape plugins now." ) );
    scanAtStartup->setText( tr2i18n( "Scan for new plugins at &TDE startup" ) );
    TQWhatsThis::add( scanAtStartup, tr2i18n( "If this option is enabled, TDE will look for new Netscape plugins every time it starts up. This makes it easier for you if you often install new plugins, but it may also slow down TDE startup. You might want to disable this option, especially if you seldom install plugins." ) );
    GroupBox1->setTitle( tr2i18n( "Scan Folders" ) );
    dirRemove->setText( tr2i18n( "&Remove" ) );
    dirNew->setText( tr2i18n( "&New" ) );
    dirDown->setText( tr2i18n( "Do&wn" ) );
    dirUp->setText( tr2i18n( "&Up" ) );
    TabWidget2->changeTab( tab, tr2i18n( "Scan" ) );
    pluginList->header()->setLabel( 0, tr2i18n( "Information" ) );
    pluginList->header()->setLabel( 1, tr2i18n( "Value" ) );
    TQWhatsThis::add( pluginList, tr2i18n( "Here you can see a list of the Netscape plugins TDE has found." ) );
    useArtsdsp->setText( tr2i18n( "Use a&rtsdsp to pipe plugin sound through aRts" ) );
    TabWidget2->changeTab( tab_2, tr2i18n( "Plugins" ) );
}

/****************************************************************************
** NSConfigWidget meta object code from reading C++ file 'nsconfigwidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "nsconfigwidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *NSConfigWidget::className() const
{
    return "NSConfigWidget";
}

TQMetaObject *NSConfigWidget::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_NSConfigWidget( "NSConfigWidget", &NSConfigWidget::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString NSConfigWidget::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "NSConfigWidget", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString NSConfigWidget::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "NSConfigWidget", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* NSConfigWidget::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"NSConfigWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_NSConfigWidget.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* NSConfigWidget::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "NSConfigWidget" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool NSConfigWidget::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool NSConfigWidget::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool NSConfigWidget::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool NSConfigWidget::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
