#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'keyboard_input_widget_ui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "keyboard_input_widget_ui.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <ktextedit.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "windowdef_list_widget.h"

/*
 *  Constructs a KHotKeys::Keyboard_input_widget_ui as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KHotKeys::Keyboard_input_widget_ui::Keyboard_input_widget_ui( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Keyboard_input_widget_ui" );
    Keyboard_input_widget_uiLayout = new TQVBoxLayout( this, 11, 6, "Keyboard_input_widget_uiLayout"); 

    keyboard_input_label = new TQLabel( this, "keyboard_input_label" );
    Keyboard_input_widget_uiLayout->addWidget( keyboard_input_label );

    Layout2 = new TQHBoxLayout( 0, 0, 6, "Layout2"); 

    keyboard_input_multilineedit = new KTextEdit( this, "keyboard_input_multilineedit" );
    keyboard_input_multilineedit->setTextFormat( KTextEdit::PlainText );
    Layout2->addWidget( keyboard_input_multilineedit );

    modify_button = new TQPushButton( this, "modify_button" );
    Layout2->addWidget( modify_button );
    Keyboard_input_widget_uiLayout->addLayout( Layout2 );

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( KDialog::spacingHint() );
    buttonGroup1->layout()->setMargin( KDialog::marginHint() );
    buttonGroup1Layout = new TQVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    action_window_radio = new TQRadioButton( buttonGroup1, "action_window_radio" );
    action_window_radio->setChecked( TRUE );
    buttonGroup1Layout->addWidget( action_window_radio );

    active_window_radio = new TQRadioButton( buttonGroup1, "active_window_radio" );
    buttonGroup1Layout->addWidget( active_window_radio );

    specific_window_radio = new TQRadioButton( buttonGroup1, "specific_window_radio" );
    buttonGroup1Layout->addWidget( specific_window_radio );
    Keyboard_input_widget_uiLayout->addWidget( buttonGroup1 );

    window_groupbox = new TQGroupBox( this, "window_groupbox" );
    window_groupbox->setColumnLayout(0, TQt::Vertical );
    window_groupbox->layout()->setSpacing( 6 );
    window_groupbox->layout()->setMargin( 11 );
    window_groupboxLayout = new TQVBoxLayout( window_groupbox->layout() );
    window_groupboxLayout->setAlignment( TQt::AlignTop );

    windowdef_list_widget = new KHotKeys::Windowdef_list_widget( window_groupbox, "windowdef_list_widget" );
    window_groupboxLayout->addWidget( windowdef_list_widget );
    Keyboard_input_widget_uiLayout->addWidget( window_groupbox );
    languageChange();
    resize( TQSize(548, 544).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( modify_button, TQ_SIGNAL( clicked() ), this, TQ_SLOT( modify_pressed() ) );
    connect( specific_window_radio, TQ_SIGNAL( toggled(bool) ), window_groupbox, TQ_SLOT( setEnabled(bool) ) );

    // buddies
    keyboard_input_label->setBuddy( keyboard_input_multilineedit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KHotKeys::Keyboard_input_widget_ui::~Keyboard_input_widget_ui()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KHotKeys::Keyboard_input_widget_ui::languageChange()
{
    setCaption( tr2i18n( "Keyboard_input_widget_ui" ) );
    keyboard_input_label->setText( tr2i18n( "Keyboard input:" ) );
    modify_button->setText( tr2i18n( "Modify..." ) );
    buttonGroup1->setTitle( tr2i18n( "Send Input To" ) );
    TQWhatsThis::add( buttonGroup1, tr2i18n( "Specify the window where the keyboard input should be sent to:<ul>\n"
"<li><em>Action window:</em> The window where the triggering action happened; this is usually the currently active window, except for mouse gesture triggers - where it is the window under mouse - and window triggers -where it is the window triggering the action.</li>\n"
"<li><em>Active window:</em> The currently active window.</li>\n"
"<li><em>Specific window:</em> Any window matching the given criteria.</li>\n"
"</ul>" ) );
    action_window_radio->setText( tr2i18n( "Action window" ) );
    active_window_radio->setText( tr2i18n( "Active window" ) );
    specific_window_radio->setText( tr2i18n( "Specific window" ) );
    window_groupbox->setTitle( tr2i18n( "Window" ) );
}

/****************************************************************************
** KHotKeys::Keyboard_input_widget_ui meta object code from reading C++ file 'keyboard_input_widget_ui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "keyboard_input_widget_ui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KHotKeys::Keyboard_input_widget_ui::className() const
{
    return "KHotKeys::Keyboard_input_widget_ui";
}

TQMetaObject *KHotKeys::Keyboard_input_widget_ui::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KHotKeys__Keyboard_input_widget_ui( "KHotKeys::Keyboard_input_widget_ui", &KHotKeys::Keyboard_input_widget_ui::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KHotKeys::Keyboard_input_widget_ui::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KHotKeys::Keyboard_input_widget_ui", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KHotKeys::Keyboard_input_widget_ui::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KHotKeys::Keyboard_input_widget_ui", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KHotKeys::Keyboard_input_widget_ui::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"modify_pressed", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "modify_pressed()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KHotKeys::Keyboard_input_widget_ui", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KHotKeys__Keyboard_input_widget_ui.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KHotKeys::Keyboard_input_widget_ui::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KHotKeys::Keyboard_input_widget_ui" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KHotKeys::Keyboard_input_widget_ui::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: modify_pressed(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KHotKeys::Keyboard_input_widget_ui::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KHotKeys::Keyboard_input_widget_ui::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KHotKeys::Keyboard_input_widget_ui::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
