#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'propertiespagegui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "propertiespagegui.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "propertiespagegui.ui.h"

/*
 *  Constructs a PropertiesPageGUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PropertiesPageGUI::PropertiesPageGUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PropertiesPageGUI" );
    PropertiesPageGUILayout = new TQVBoxLayout( this, 11, 6, "PropertiesPageGUILayout"); 

    option_defaults = new TQCheckBox( this, "option_defaults" );
    PropertiesPageGUILayout->addWidget( option_defaults );

    groupbox_generic = new TQGroupBox( this, "groupbox_generic" );
    groupbox_generic->setColumnLayout(0, TQt::Vertical );
    groupbox_generic->layout()->setSpacing( 6 );
    groupbox_generic->layout()->setMargin( 11 );
    groupbox_genericLayout = new TQVBoxLayout( groupbox_generic->layout() );
    groupbox_genericLayout->setAlignment( TQt::AlignTop );

    layout15 = new TQVBoxLayout( 0, 0, 6, "layout15"); 

    option_ro = new TQCheckBox( groupbox_generic, "option_ro" );
    layout15->addWidget( option_ro );

    option_quiet = new TQCheckBox( groupbox_generic, "option_quiet" );
    layout15->addWidget( option_quiet );

    option_sync = new TQCheckBox( groupbox_generic, "option_sync" );
    layout15->addWidget( option_sync );

    option_atime = new TQCheckBox( groupbox_generic, "option_atime" );
    layout15->addWidget( option_atime );

    layout14 = new TQHBoxLayout( 0, 0, 6, "layout14"); 

    textLabel3 = new TQLabel( groupbox_generic, "textLabel3" );
    layout14->addWidget( textLabel3 );

    option_mountpoint = new TQLineEdit( groupbox_generic, "option_mountpoint" );
    layout14->addWidget( option_mountpoint );
    layout15->addLayout( layout14 );

    option_automount = new TQCheckBox( groupbox_generic, "option_automount" );
    layout15->addWidget( option_automount );
    groupbox_genericLayout->addLayout( layout15 );
    PropertiesPageGUILayout->addWidget( groupbox_generic );

    groupbox_specific = new TQGroupBox( this, "groupbox_specific" );
    groupbox_specific->setColumnLayout(0, TQt::Vertical );
    groupbox_specific->layout()->setSpacing( 6 );
    groupbox_specific->layout()->setMargin( 11 );
    groupbox_specificLayout = new TQVBoxLayout( groupbox_specific->layout() );
    groupbox_specificLayout->setAlignment( TQt::AlignTop );

    layout11 = new TQVBoxLayout( 0, 0, 6, "layout11"); 

    option_flush = new TQCheckBox( groupbox_specific, "option_flush" );
    layout11->addWidget( option_flush );

    option_utf8 = new TQCheckBox( groupbox_specific, "option_utf8" );
    layout11->addWidget( option_utf8 );

    option_uid = new TQCheckBox( groupbox_specific, "option_uid" );
    layout11->addWidget( option_uid );

    layout7 = new TQHBoxLayout( 0, 0, 6, "layout7"); 

    text_journaling = new TQLabel( groupbox_specific, "text_journaling" );
    layout7->addWidget( text_journaling );

    option_journaling = new TQComboBox( FALSE, groupbox_specific, "option_journaling" );
    layout7->addWidget( option_journaling );
    layout11->addLayout( layout7 );

    layout14_2 = new TQHBoxLayout( 0, 0, 6, "layout14_2"); 

    text_shortname = new TQLabel( groupbox_specific, "text_shortname" );
    layout14_2->addWidget( text_shortname );

    option_shortname = new TQComboBox( FALSE, groupbox_specific, "option_shortname" );
    layout14_2->addWidget( option_shortname );
    layout11->addLayout( layout14_2 );
    groupbox_specificLayout->addLayout( layout11 );
    PropertiesPageGUILayout->addWidget( groupbox_specific );

    label_filesystem = new TQLabel( this, "label_filesystem" );
    PropertiesPageGUILayout->addWidget( label_filesystem );
    spacer1 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    PropertiesPageGUILayout->addItem( spacer1 );
    languageChange();
    resize( TQSize(219, 446).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( option_ro, TQ_SIGNAL( stateChanged(int) ), this, TQ_SLOT( changedSlot() ) );

    // buddies
    textLabel3->setBuddy( option_mountpoint );
    text_journaling->setBuddy( option_journaling );
    text_shortname->setBuddy( option_shortname );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PropertiesPageGUI::~PropertiesPageGUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PropertiesPageGUI::languageChange()
{
    setCaption( tr2i18n( "PropertiesPageGUI" ) );
    option_defaults->setText( tr2i18n( "Use default mount options" ) );
    groupbox_generic->setTitle( tr2i18n( "Generic Mount Options" ) );
    option_ro->setText( tr2i18n( "Read only" ) );
    TQWhatsThis::add( option_ro, tr2i18n( "Mount the file system read-only." ) );
    option_quiet->setText( tr2i18n( "Quiet" ) );
    TQWhatsThis::add( option_quiet, tr2i18n( "Attempts to chown or chmod files do not return errors, although they fail. Use with caution!" ) );
    option_sync->setText( tr2i18n( "Synchronous" ) );
    TQWhatsThis::add( option_sync, tr2i18n( "All I/O to the file system should be done synchronously." ) );
    option_atime->setText( tr2i18n( "Access time updates" ) );
    TQWhatsThis::add( option_atime, tr2i18n( "Update inode access time for each access." ) );
    textLabel3->setText( tr2i18n( "Mountpoint:" ) );
    TQWhatsThis::add( textLabel3, tr2i18n( "Under what directory this file system shall be mounted. Please note that there is no guarantee that the system will respect your wish. For one the directory has to be below /media - and it does not yet have to exist." ) );
    option_mountpoint->setText( TQString::null );
    option_automount->setText( tr2i18n( "Mount automatically" ) );
    TQWhatsThis::add( option_automount, tr2i18n( "Mount this file system automatically." ) );
    groupbox_specific->setTitle( tr2i18n( "Filesystem Specific Mount Options" ) );
    option_flush->setText( tr2i18n( "Flushed IO" ) );
    TQWhatsThis::add( option_flush, tr2i18n( "Always flush all data to the hot plug devices immediately and don't cache it." ) );
    option_utf8->setText( tr2i18n( "UTF-8 charset" ) );
    TQWhatsThis::add( option_utf8, tr2i18n( "UTF8 is the filesystem safe 8-bit encoding of Unicode that is used by the console. It can be be enabled for the filesystem with this option." ) );
    option_uid->setText( tr2i18n( "Mount as user" ) );
    TQWhatsThis::add( option_uid, tr2i18n( "Mount this file system as user." ) );
    text_journaling->setText( tr2i18n( "Journaling:" ) );
    TQWhatsThis::add( text_journaling, tr2i18n( "<h2>Specifies  the journalling mode for file data. Metadata is always journaled. </h2>\n"
"           \n"
"<h3><b>All Data</b></h3>\n"
"           All  data  is  committed into the journal prior to being written into the main file system. This is the slowest variant with the highest data security.\n"
"\n"
"<h3><b>Ordered</b></h3>\n"
"           All data is forced directly out to the main  file system prior to its metadata being committed to the journal.\n"
"\n"
"<h3><b>Write Back</b></h3>\n"
"           Data ordering is not preserved - data may be written into the main file system after its metadata has been committed to the journal.  This is rumoured to  be the  highest-throughput option.  It guarantees internal file system integrity,  however it can allow old data to appear in files after  a  crash  and  journal recovery." ) );
    option_journaling->clear();
    option_journaling->insertItem( tr2i18n( "All Data" ) );
    option_journaling->insertItem( tr2i18n( "Ordered" ) );
    option_journaling->insertItem( tr2i18n( "Write Back" ) );
    TQWhatsThis::add( option_journaling, tr2i18n( "<h2>Specifies  the journalling mode for file data. Metadata is always journaled. </h2>\n"
"           \n"
"<h3><b>All Data</b></h3>\n"
"           All  data  is  committed into the journal prior to being written into the main file system. This is the slowest variant with the highest data security.\n"
"\n"
"<h3><b>Ordered</b></h3>\n"
"           All data is forced directly out to the main  file system prior to its metadata being committed to the journal.\n"
"\n"
"<h3><b>Write Back</b></h3>\n"
"           Data ordering is not preserved - data may be written into the main file system after its metadata has been committed to the journal.  This is rumoured to  be the  highest-throughput option.  It guarantees internal file system integrity,  however it can allow old data to appear in files after  a  crash  and  journal recovery." ) );
    text_shortname->setText( tr2i18n( "Short names:" ) );
    TQWhatsThis::add( text_shortname, tr2i18n( "<h2>Defines  the  behaviour  for  creation and display of filenames which fit into 8.3 characters. If a long name for a file exists, it will always be preferred display.</h2>\n"
"\n"
"<h3><b>Lower</b></h3>\n"
"Force the short name to lower case upon display; store a long name when the short name is not all upper case.\n"
"\n"
"<h3><b>Windows 95</b></h3>\n"
"Force the short name to upper case upon display; store a long name when the short name is not all upper case.\n"
"\n"
"<h3><b>Windows NT</b></h3>\n"
"Display the shortname as is; store a long name when the short name is not all lower case or all upper case.\n"
"\n"
"<h3><b>Mixed</b></h3>\n"
"Display the short name as is; store a long name when the short name is not all upper case." ) );
    option_shortname->clear();
    option_shortname->insertItem( tr2i18n( "Lower" ) );
    option_shortname->insertItem( tr2i18n( "Windows 95" ) );
    option_shortname->insertItem( tr2i18n( "Windows NT" ) );
    option_shortname->insertItem( tr2i18n( "Mixed" ) );
    TQWhatsThis::add( option_shortname, tr2i18n( "<h2>Defines  the  behaviour  for  creation and display of filenames which fit into 8.3 characters. If a long name for a file exists, it will always be preferred display.</h2>\n"
"\n"
"<h3><b>Lower</b></h3>\n"
"Force the short name to lower case upon display; store a long name when the short name is not all upper case.\n"
"\n"
"<h3><b>Windows 95</b></h3>\n"
"Force the short name to upper case upon display; store a long name when the short name is not all upper case.\n"
"\n"
"<h3><b>Windows NT</b></h3>\n"
"Display the shortname as is; store a long name when the short name is not all lower case or all upper case.\n"
"\n"
"<h3><b>Mixed</b></h3>\n"
"Display the short name as is; store a long name when the short name is not all upper case." ) );
    label_filesystem->setText( tr2i18n( "Filesystem: iso9660" ) );
}

/****************************************************************************
** PropertiesPageGUI meta object code from reading C++ file 'propertiespagegui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "propertiespagegui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *PropertiesPageGUI::className() const
{
    return "PropertiesPageGUI";
}

TQMetaObject *PropertiesPageGUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_PropertiesPageGUI( "PropertiesPageGUI", &PropertiesPageGUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString PropertiesPageGUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PropertiesPageGUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString PropertiesPageGUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PropertiesPageGUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* PropertiesPageGUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"changedSlot", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "changedSlot()", &slot_1, TQMetaData::Protected }
    };
    static const TQUMethod signal_0 = {"changed", 0, 0 };
    static const TQMetaData signal_tbl[] = {
	{ "changed()", &signal_0, TQMetaData::Public }
    };
    metaObj = TQMetaObject::new_metaobject(
	"PropertiesPageGUI", parentObject,
	slot_tbl, 2,
	signal_tbl, 1,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_PropertiesPageGUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* PropertiesPageGUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PropertiesPageGUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

// TQ_SIGNAL changed
void PropertiesPageGUI::changed()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool PropertiesPageGUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: changedSlot(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool PropertiesPageGUI::tqt_emit( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: changed(); break;
    default:
	return TQWidget::tqt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef TQT_NO_PROPERTIES

bool PropertiesPageGUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool PropertiesPageGUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
