#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'browserconfig_ui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "browserconfig_ui.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqbuttongroup.h>
#include <ntqlabel.h>
#include <ntqradiobutton.h>
#include <ntqlineedit.h>
#include <ntqtoolbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a BrowserConfig_UI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
BrowserConfig_UI::BrowserConfig_UI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "BrowserConfig_UI" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    BrowserConfig_UILayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "BrowserConfig_UILayout"); 

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFrameShape( TQButtonGroup::NoFrame );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( KDialog::spacingHint() );
    buttonGroup1->layout()->setMargin( KDialog::marginHint() );
    buttonGroup1Layout = new TQVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    label = new TQLabel( buttonGroup1, "label" );
    buttonGroup1Layout->addWidget( label );

    radioKIO = new TQRadioButton( buttonGroup1, "radioKIO" );
    radioKIO->setChecked( TRUE );
    buttonGroup1Layout->addWidget( radioKIO );

    radioExec = new TQRadioButton( buttonGroup1, "radioExec" );
    buttonGroup1Layout->addWidget( radioExec );

    layout3 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 
    spacer4_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    layout3->addItem( spacer4_2 );

    lineExec = new TQLineEdit( buttonGroup1, "lineExec" );
    lineExec->setEnabled( FALSE );
    layout3->addWidget( lineExec );

    btnSelectBrowser = new TQToolButton( buttonGroup1, "btnSelectBrowser" );
    btnSelectBrowser->setEnabled( FALSE );
    btnSelectBrowser->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, btnSelectBrowser->sizePolicy().hasHeightForWidth() ) );
    layout3->addWidget( btnSelectBrowser );
    buttonGroup1Layout->addLayout( layout3 );
    BrowserConfig_UILayout->addWidget( buttonGroup1 );
    spacer9 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    BrowserConfig_UILayout->addItem( spacer9 );
    languageChange();
    resize( TQSize(394, 324).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( radioExec, TQ_SIGNAL( toggled(bool) ), lineExec, TQ_SLOT( setEnabled(bool) ) );
    connect( radioExec, TQ_SIGNAL( toggled(bool) ), btnSelectBrowser, TQ_SLOT( setEnabled(bool) ) );
    connect( btnSelectBrowser, TQ_SIGNAL( clicked() ), this, TQ_SLOT( selectBrowser() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BrowserConfig_UI::~BrowserConfig_UI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BrowserConfig_UI::languageChange()
{
    buttonGroup1->setTitle( TQString::null );
    label->setText( tr2i18n( "<qt>Open <b>http</b> and <b>https</b> URLs</qt>" ) );
    radioKIO->setText( tr2i18n( "in an application based on the contents of the URL" ) );
    radioExec->setText( tr2i18n( "in the following browser:" ) );
    btnSelectBrowser->setText( tr2i18n( "..." ) );
}

void BrowserConfig_UI::selectBrowser()
{
    tqWarning( "BrowserConfig_UI::selectBrowser(): Not implemented yet" );
}

/****************************************************************************
** BrowserConfig_UI meta object code from reading C++ file 'browserconfig_ui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "browserconfig_ui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *BrowserConfig_UI::className() const
{
    return "BrowserConfig_UI";
}

TQMetaObject *BrowserConfig_UI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_BrowserConfig_UI( "BrowserConfig_UI", &BrowserConfig_UI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString BrowserConfig_UI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "BrowserConfig_UI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString BrowserConfig_UI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "BrowserConfig_UI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* BrowserConfig_UI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUMethod slot_1 = {"selectBrowser", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "selectBrowser()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"BrowserConfig_UI", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_BrowserConfig_UI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* BrowserConfig_UI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "BrowserConfig_UI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool BrowserConfig_UI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: selectBrowser(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool BrowserConfig_UI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool BrowserConfig_UI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool BrowserConfig_UI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
