#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'cryptpassworddlgbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "cryptpassworddlgbase.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <kpassdlg.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a CryptPasswordDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CryptPasswordDialogBase::CryptPasswordDialogBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "CryptPasswordDialogBase" );
    CryptPasswordDialogBaseLayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "CryptPasswordDialogBaseLayout"); 

    passwordIcon = new TQLabel( this, "passwordIcon" );
    passwordIcon->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)5, 0, 0, passwordIcon->sizePolicy().hasHeightForWidth() ) );

    CryptPasswordDialogBaseLayout->addWidget( passwordIcon, 0, 0 );

    passwordPrompt = new TQLabel( this, "passwordPrompt" );

    CryptPasswordDialogBaseLayout->addWidget( passwordPrompt, 0, 1 );

    passwordProps = new TQGroupBox( this, "passwordProps" );
    passwordProps->setColumnLayout(0, TQt::Vertical );
    passwordProps->layout()->setSpacing( KDialog::spacingHint() );
    passwordProps->layout()->setMargin( KDialog::marginHint() );
    passwordPropsLayout = new TQGridLayout( passwordProps->layout() );
    passwordPropsLayout->setAlignment( TQt::AlignTop );

    enabledBox = new TQButtonGroup( passwordProps, "enabledBox" );
    enabledBox->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, enabledBox->sizePolicy().hasHeightForWidth() ) );
    enabledBox->setFrameShape( TQButtonGroup::NoFrame );
    enabledBox->setFrameShadow( TQButtonGroup::Plain );
    enabledBox->setExclusive( TRUE );
    enabledBox->setRadioButtonExclusive( TRUE );
    enabledBox->setMargin( 0 );
    enabledBox->setColumnLayout(0, TQt::Vertical );
    enabledBox->layout()->setSpacing( KDialog::spacingHint() );
    enabledBox->layout()->setMargin( 0 );
    enabledBoxLayout = new TQGridLayout( enabledBox->layout() );
    enabledBoxLayout->setAlignment( TQt::AlignTop );

    textPasswordButton = new TQRadioButton( enabledBox, "textPasswordButton" );
    textPasswordButton->setChecked( TRUE );

    enabledBoxLayout->addWidget( textPasswordButton, 0, 0 );

    textPasswordEntry = new KPasswordEdit( enabledBox, "textPasswordEntry" );

    enabledBoxLayout->addWidget( textPasswordEntry, 0, 1 );

    filePasswordButton = new TQRadioButton( enabledBox, "filePasswordButton" );

    enabledBoxLayout->addWidget( filePasswordButton, 1, 0 );

    filePasswordURL = new KURLRequester( enabledBox, "filePasswordURL" );
    filePasswordURL->setFilter( "*" );
    filePasswordURL->setMode( 17 );

    enabledBoxLayout->addWidget( filePasswordURL, 1, 1 );

    cardKeyButton = new TQRadioButton( enabledBox, "cardKeyButton" );

    enabledBoxLayout->addWidget( cardKeyButton, 2, 0 );

    cardKeyInfo = new TQLabel( enabledBox, "cardKeyInfo" );

    enabledBoxLayout->addWidget( cardKeyInfo, 2, 1 );

    passwordPropsLayout->addWidget( enabledBox, 0, 0 );

    CryptPasswordDialogBaseLayout->addMultiCellWidget( passwordProps, 1, 1, 0, 1 );
    languageChange();
}

/*
 *  Destroys the object and frees any allocated resources
 */
CryptPasswordDialogBase::~CryptPasswordDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CryptPasswordDialogBase::languageChange()
{
    passwordPrompt->setText( TQString::null );
    passwordProps->setTitle( tr2i18n( "Password Source" ) );
    enabledBox->setTitle( TQString::null );
    textPasswordButton->setText( tr2i18n( "Text:" ) );
    filePasswordButton->setText( tr2i18n( "File:" ) );
    cardKeyButton->setText( tr2i18n( "Cryptographic Card" ) );
    cardKeyInfo->setText( TQString::null );
}

void CryptPasswordDialogBase::enableSupport_toggled(bool)
{
    tqWarning( "CryptPasswordDialogBase::enableSupport_toggled(bool): Not implemented yet" );
}

/****************************************************************************
** CryptPasswordDialogBase meta object code from reading C++ file 'cryptpassworddlgbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "cryptpassworddlgbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *CryptPasswordDialogBase::className() const
{
    return "CryptPasswordDialogBase";
}

TQMetaObject *CryptPasswordDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_CryptPasswordDialogBase( "CryptPasswordDialogBase", &CryptPasswordDialogBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString CryptPasswordDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CryptPasswordDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString CryptPasswordDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "CryptPasswordDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* CryptPasswordDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"enableSupport_toggled", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "enableSupport_toggled(bool)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"CryptPasswordDialogBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_CryptPasswordDialogBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* CryptPasswordDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CryptPasswordDialogBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool CryptPasswordDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: enableSupport_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool CryptPasswordDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool CryptPasswordDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool CryptPasswordDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
