#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'iccconfigbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "iccconfigbase.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <kdialog.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ICCConfigBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ICCConfigBase::ICCConfigBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ICCConfigBase" );
    ICCConfigBaseLayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "ICCConfigBaseLayout"); 

    TabWidget2 = new TQTabWidget( this, "TabWidget2" );
    TabWidget2->setEnabled( TRUE );

    tab = new TQWidget( TabWidget2, "tab" );
    tabLayout = new TQGridLayout( tab, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout"); 

    groupSystemSettings = new TQGroupBox( tab, "groupSystemSettings" );
    groupSystemSettings->setColumnLayout(0, TQt::Vertical );
    groupSystemSettings->layout()->setSpacing( KDialog::spacingHint() );
    groupSystemSettings->layout()->setMargin( KDialog::marginHint() );
    groupSystemSettingsLayout = new TQGridLayout( groupSystemSettings->layout() );
    groupSystemSettingsLayout->setAlignment( TQt::AlignTop );

    systemEnableSupport = new TQCheckBox( groupSystemSettings, "systemEnableSupport" );

    groupSystemSettingsLayout->addMultiCellWidget( systemEnableSupport, 0, 0, 0, 1 );

    systemIccFile = new KURLRequester( groupSystemSettings, "systemIccFile" );

    groupSystemSettingsLayout->addMultiCellWidget( systemIccFile, 1, 1, 1, 4 );

    textLabel4_2 = new TQLabel( groupSystemSettings, "textLabel4_2" );

    groupSystemSettingsLayout->addWidget( textLabel4_2, 1, 0 );

    tabLayout->addWidget( groupSystemSettings, 0, 0 );

    groupUserSettings = new TQGroupBox( tab, "groupUserSettings" );
    groupUserSettings->setColumnLayout(0, TQt::Vertical );
    groupUserSettings->layout()->setSpacing( KDialog::spacingHint() );
    groupUserSettings->layout()->setMargin( KDialog::marginHint() );
    groupUserSettingsLayout = new TQGridLayout( groupUserSettings->layout() );
    groupUserSettingsLayout->setAlignment( TQt::AlignTop );

    enableSupport = new TQCheckBox( groupUserSettings, "enableSupport" );

    groupUserSettingsLayout->addMultiCellWidget( enableSupport, 0, 0, 0, 1 );

    iccProfileList = new KComboBox( FALSE, groupUserSettings, "iccProfileList" );

    groupUserSettingsLayout->addWidget( iccProfileList, 1, 1 );

    textLabel2_9 = new TQLabel( groupUserSettings, "textLabel2_9" );

    groupUserSettingsLayout->addWidget( textLabel2_9, 1, 0 );

    addProfileButton = new KPushButton( groupUserSettings, "addProfileButton" );

    groupUserSettingsLayout->addWidget( addProfileButton, 1, 2 );

    renameProfileButton = new KPushButton( groupUserSettings, "renameProfileButton" );

    groupUserSettingsLayout->addWidget( renameProfileButton, 1, 3 );

    deleteProfileButton = new KPushButton( groupUserSettings, "deleteProfileButton" );

    groupUserSettingsLayout->addWidget( deleteProfileButton, 1, 4 );

    randrScreenList = new KComboBox( FALSE, groupUserSettings, "randrScreenList" );

    groupUserSettingsLayout->addMultiCellWidget( randrScreenList, 2, 2, 1, 4 );

    textLabel2_8 = new TQLabel( groupUserSettings, "textLabel2_8" );

    groupUserSettingsLayout->addWidget( textLabel2_8, 2, 0 );

    iccFile = new KURLRequester( groupUserSettings, "iccFile" );

    groupUserSettingsLayout->addMultiCellWidget( iccFile, 3, 3, 1, 4 );

    textLabel2_2 = new TQLabel( groupUserSettings, "textLabel2_2" );

    groupUserSettingsLayout->addWidget( textLabel2_2, 3, 0 );

    tabLayout->addWidget( groupUserSettings, 1, 0 );
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    tabLayout->addItem( Spacer4, 4, 0 );
    TabWidget2->insertTab( tab, TQString::fromLatin1("") );

    ICCConfigBaseLayout->addWidget( TabWidget2, 0, 0 );
    languageChange();

    // signals and slots connections
    connect( enableSupport, TQ_SIGNAL( toggled(bool) ), this, TQ_SLOT( enableSupport_toggled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ICCConfigBase::~ICCConfigBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ICCConfigBase::languageChange()
{
    groupSystemSettings->setTitle( tr2i18n( "System Settings" ) );
    systemEnableSupport->setText( tr2i18n( "&Enable global color profile support" ) );
    systemIccFile->setFilter( tr2i18n( "*.icc|ICC Standard Color Profiles (*.icc)\n"
"*.icm|Windows(R) Color Profiles (*.icm)" ) );
    textLabel4_2->setText( tr2i18n( "Color Profile" ) );
    groupUserSettings->setTitle( tr2i18n( "User Settings" ) );
    enableSupport->setText( tr2i18n( "&Enable user color profile support" ) );
    textLabel2_9->setText( tr2i18n( "Current Profile" ) );
    addProfileButton->setText( tr2i18n( "Create New" ) );
    renameProfileButton->setText( tr2i18n( "Rename" ) );
    deleteProfileButton->setText( tr2i18n( "Delete" ) );
    textLabel2_8->setText( tr2i18n( "Settings for output" ) );
    iccFile->setFilter( tr2i18n( "*.icc|ICC Standard Color Profiles (*.icc)\n"
"*.icm|Windows(R) Color Profiles (*.icm)" ) );
    textLabel2_2->setText( tr2i18n( "Color Profile" ) );
    TabWidget2->changeTab( tab, tr2i18n( "Color Profile Configuration" ) );
}

void ICCConfigBase::enableSupport_toggled(bool)
{
    tqWarning( "ICCConfigBase::enableSupport_toggled(bool): Not implemented yet" );
}

/****************************************************************************
** ICCConfigBase meta object code from reading C++ file 'iccconfigbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "iccconfigbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ICCConfigBase::className() const
{
    return "ICCConfigBase";
}

TQMetaObject *ICCConfigBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ICCConfigBase( "ICCConfigBase", &ICCConfigBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ICCConfigBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ICCConfigBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ICCConfigBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ICCConfigBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ICCConfigBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"enableSupport_toggled", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "enableSupport_toggled(bool)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ICCConfigBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ICCConfigBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ICCConfigBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ICCConfigBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool ICCConfigBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: enableSupport_toggled((bool)static_QUType_bool.get(_o+1)); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ICCConfigBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ICCConfigBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool ICCConfigBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
