#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'positiontab.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "positiontab.h"

#include <ntqvariant.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqbuttongroup.h>
#include <ntqslider.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a PositionTabBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PositionTabBase::PositionTabBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PositionTabBase" );
    PositionTabBaseLayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "PositionTabBaseLayout"); 

    m_panelsGroupBox = new TQGroupBox( this, "m_panelsGroupBox" );
    m_panelsGroupBox->setFrameShape( TQGroupBox::NoFrame );
    m_panelsGroupBox->setColumnLayout(0, TQt::Vertical );
    m_panelsGroupBox->layout()->setSpacing( KDialog::spacingHint() );
    m_panelsGroupBox->layout()->setMargin( 0 );
    m_panelsGroupBoxLayout = new TQHBoxLayout( m_panelsGroupBox->layout() );
    m_panelsGroupBoxLayout->setAlignment( TQt::AlignTop );

    m_panelListLabel = new TQLabel( m_panelsGroupBox, "m_panelListLabel" );
    m_panelsGroupBoxLayout->addWidget( m_panelListLabel );

    m_panelList = new TQComboBox( FALSE, m_panelsGroupBox, "m_panelList" );
    m_panelsGroupBoxLayout->addWidget( m_panelList );
    spacer11 = new TQSpacerItem( 342, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    m_panelsGroupBoxLayout->addItem( spacer11 );

    PositionTabBaseLayout->addMultiCellWidget( m_panelsGroupBox, 0, 0, 0, 1 );

    XineramaGroup = new TQGroupBox( this, "XineramaGroup" );
    XineramaGroup->setColumnLayout(0, TQt::Vertical );
    XineramaGroup->layout()->setSpacing( KDialog::spacingHint() );
    XineramaGroup->layout()->setMargin( KDialog::marginHint() );
    XineramaGroupLayout = new TQGridLayout( XineramaGroup->layout() );
    XineramaGroupLayout->setAlignment( TQt::AlignTop );

    Layout13 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout13"); 
    Spacer9 = new TQSpacerItem( 20, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout13->addItem( Spacer9 );

    m_monitorImage = new TQLabel( XineramaGroup, "m_monitorImage" );
    m_monitorImage->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, m_monitorImage->sizePolicy().hasHeightForWidth() ) );
    m_monitorImage->setMinimumSize( TQSize( 151, 115 ) );
    m_monitorImage->setScaledContents( TRUE );
    m_monitorImage->setAlignment( int( TQLabel::AlignCenter ) );
    Layout13->addWidget( m_monitorImage );
    Spacer13_2 = new TQSpacerItem( 20, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout13->addItem( Spacer13_2 );

    XineramaGroupLayout->addLayout( Layout13, 0, 0 );

    Layout12 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout12"); 
    Spacer8 = new TQSpacerItem( 20, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout12->addItem( Spacer8 );

    m_identifyButton = new TQPushButton( XineramaGroup, "m_identifyButton" );
    Layout12->addWidget( m_identifyButton );

    XineramaGroupLayout->addLayout( Layout12, 1, 0 );

    Layout9 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout9"); 

    m_xineramaScreenLabel = new TQLabel( XineramaGroup, "m_xineramaScreenLabel" );
    Layout9->addWidget( m_xineramaScreenLabel );

    m_xineramaScreenComboBox = new TQComboBox( FALSE, XineramaGroup, "m_xineramaScreenComboBox" );
    Layout9->addWidget( m_xineramaScreenComboBox );

    XineramaGroupLayout->addLayout( Layout9, 2, 0 );
    Spacer61 = new TQSpacerItem( 0, 101, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    XineramaGroupLayout->addItem( Spacer61, 3, 0 );

    PositionTabBaseLayout->addMultiCellWidget( XineramaGroup, 1, 3, 1, 1 );

    m_rsizeGroup = new TQButtonGroup( this, "m_rsizeGroup" );
    m_rsizeGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 10, 0, m_rsizeGroup->sizePolicy().hasHeightForWidth() ) );
    m_rsizeGroup->setColumnLayout(0, TQt::Vertical );
    m_rsizeGroup->layout()->setSpacing( KDialog::spacingHint() );
    m_rsizeGroup->layout()->setMargin( KDialog::marginHint() );
    m_rsizeGroupLayout = new TQVBoxLayout( m_rsizeGroup->layout() );
    m_rsizeGroupLayout->setAlignment( TQt::AlignTop );

    Layout8 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout8"); 

    m_percentSlider = new TQSlider( m_rsizeGroup, "m_percentSlider" );
    m_percentSlider->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, m_percentSlider->sizePolicy().hasHeightForWidth() ) );
    m_percentSlider->setMinValue( 1 );
    m_percentSlider->setMaxValue( 100 );
    m_percentSlider->setValue( 100 );
    m_percentSlider->setTracking( TRUE );
    m_percentSlider->setOrientation( TQSlider::Horizontal );
    m_percentSlider->setTickmarks( TQSlider::NoMarks );
    m_percentSlider->setTickInterval( 10 );
    Layout8->addWidget( m_percentSlider );

    m_percentSpinBox = new KIntNumInput( m_rsizeGroup, "m_percentSpinBox" );
    m_percentSpinBox->setValue( 100 );
    m_percentSpinBox->setMinValue( 0 );
    m_percentSpinBox->setMaxValue( 100 );
    Layout8->addWidget( m_percentSpinBox );
    m_rsizeGroupLayout->addLayout( Layout8 );

    m_expandCheckBox = new TQCheckBox( m_rsizeGroup, "m_expandCheckBox" );
    m_rsizeGroupLayout->addWidget( m_expandCheckBox );

    PositionTabBaseLayout->addWidget( m_rsizeGroup, 2, 0 );
    Spacer13 = new TQSpacerItem( 16, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    PositionTabBaseLayout->addItem( Spacer13, 4, 0 );

    m_sizeGroup = new TQButtonGroup( this, "m_sizeGroup" );
    m_sizeGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)1, 10, 0, m_sizeGroup->sizePolicy().hasHeightForWidth() ) );
    m_sizeGroup->setColumnLayout(0, TQt::Vertical );
    m_sizeGroup->layout()->setSpacing( KDialog::spacingHint() );
    m_sizeGroup->layout()->setMargin( KDialog::marginHint() );
    m_sizeGroupLayout = new TQGridLayout( m_sizeGroup->layout() );
    m_sizeGroupLayout->setAlignment( TQt::AlignTop );

    m_panelSize = new TQComboBox( FALSE, m_sizeGroup, "m_panelSize" );

    m_sizeGroupLayout->addMultiCellWidget( m_panelSize, 0, 0, 0, 1 );
    Spacer14_2 = new TQSpacerItem( 30, 40, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    m_sizeGroupLayout->addMultiCell( Spacer14_2, 1, 2, 0, 0 );

    Layout9_2 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout9_2"); 

    m_customSlider = new TQSlider( m_sizeGroup, "m_customSlider" );
    m_customSlider->setEnabled( FALSE );
    m_customSlider->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, m_customSlider->sizePolicy().hasHeightForWidth() ) );
    m_customSlider->setMinValue( 24 );
    m_customSlider->setMaxValue( 128 );
    m_customSlider->setPageStep( 8 );
    m_customSlider->setValue( 58 );
    m_customSlider->setTracking( TRUE );
    m_customSlider->setOrientation( TQSlider::Horizontal );
    m_customSlider->setTickmarks( TQSlider::NoMarks );
    m_customSlider->setTickInterval( 20 );
    Layout9_2->addWidget( m_customSlider );

    m_customSpinbox = new KIntNumInput( m_sizeGroup, "m_customSpinbox" );
    m_customSpinbox->setEnabled( FALSE );
    m_customSpinbox->setValue( 58 );
    m_customSpinbox->setMinValue( 24 );
    m_customSpinbox->setMaxValue( 128 );
    Layout9_2->addWidget( m_customSpinbox );

    m_sizeGroupLayout->addLayout( Layout9_2, 1, 1 );

    PositionTabBaseLayout->addWidget( m_sizeGroup, 3, 0 );

    m_locationGroup = new TQButtonGroup( this, "m_locationGroup" );
    m_locationGroup->setExclusive( TRUE );
    m_locationGroup->setColumnLayout(0, TQt::Vertical );
    m_locationGroup->layout()->setSpacing( KDialog::spacingHint() );
    m_locationGroup->layout()->setMargin( KDialog::marginHint() );
    m_locationGroupLayout = new TQGridLayout( m_locationGroup->layout() );
    m_locationGroupLayout->setAlignment( TQt::AlignTop );
    Spacer9_2 = new TQSpacerItem( 20, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    m_locationGroupLayout->addItem( Spacer9_2, 0, 2 );
    Spacer10_2 = new TQSpacerItem( 21, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    m_locationGroupLayout->addItem( Spacer10_2, 0, 0 );

    Layout7 = new TQGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "Layout7"); 

    Layout8_2 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout8_2"); 

    locationTopLeft = new TQPushButton( m_locationGroup, "locationTopLeft" );
    locationTopLeft->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, locationTopLeft->sizePolicy().hasHeightForWidth() ) );
    locationTopLeft->setMinimumSize( TQSize( 32, 16 ) );
    locationTopLeft->setMaximumSize( TQSize( 32, 16 ) );
    locationTopLeft->setToggleButton( TRUE );
    Layout8_2->addWidget( locationTopLeft );

    locationTop = new TQPushButton( m_locationGroup, "locationTop" );
    locationTop->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, locationTop->sizePolicy().hasHeightForWidth() ) );
    locationTop->setMinimumSize( TQSize( 32, 16 ) );
    locationTop->setMaximumSize( TQSize( 32, 16 ) );
    locationTop->setToggleButton( TRUE );
    Layout8_2->addWidget( locationTop );

    locationTopRight = new TQPushButton( m_locationGroup, "locationTopRight" );
    locationTopRight->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, locationTopRight->sizePolicy().hasHeightForWidth() ) );
    locationTopRight->setMinimumSize( TQSize( 32, 16 ) );
    locationTopRight->setMaximumSize( TQSize( 32, 16 ) );
    locationTopRight->setToggleButton( TRUE );
    Layout8_2->addWidget( locationTopRight );

    Layout7->addLayout( Layout8_2, 0, 1 );

    Layout10 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "Layout10"); 

    locationLeftTop = new TQPushButton( m_locationGroup, "locationLeftTop" );
    locationLeftTop->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, locationLeftTop->sizePolicy().hasHeightForWidth() ) );
    locationLeftTop->setMinimumSize( TQSize( 16, 24 ) );
    locationLeftTop->setMaximumSize( TQSize( 16, 24 ) );
    locationLeftTop->setToggleButton( TRUE );
    Layout10->addWidget( locationLeftTop );

    locationLeft = new TQPushButton( m_locationGroup, "locationLeft" );
    locationLeft->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, locationLeft->sizePolicy().hasHeightForWidth() ) );
    locationLeft->setMinimumSize( TQSize( 16, 24 ) );
    locationLeft->setMaximumSize( TQSize( 16, 24 ) );
    locationLeft->setToggleButton( TRUE );
    Layout10->addWidget( locationLeft );

    locationLeftBottom = new TQPushButton( m_locationGroup, "locationLeftBottom" );
    locationLeftBottom->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, locationLeftBottom->sizePolicy().hasHeightForWidth() ) );
    locationLeftBottom->setMinimumSize( TQSize( 16, 24 ) );
    locationLeftBottom->setMaximumSize( TQSize( 16, 24 ) );
    locationLeftBottom->setToggleButton( TRUE );
    Layout10->addWidget( locationLeftBottom );

    Layout7->addLayout( Layout10, 1, 0 );

    Layout7_2 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout7_2"); 

    locationBottomLeft = new TQPushButton( m_locationGroup, "locationBottomLeft" );
    locationBottomLeft->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, locationBottomLeft->sizePolicy().hasHeightForWidth() ) );
    locationBottomLeft->setMinimumSize( TQSize( 32, 16 ) );
    locationBottomLeft->setMaximumSize( TQSize( 32, 16 ) );
    locationBottomLeft->setToggleButton( TRUE );
    Layout7_2->addWidget( locationBottomLeft );

    locationBottom = new TQPushButton( m_locationGroup, "locationBottom" );
    locationBottom->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, locationBottom->sizePolicy().hasHeightForWidth() ) );
    locationBottom->setMinimumSize( TQSize( 32, 16 ) );
    locationBottom->setMaximumSize( TQSize( 32, 16 ) );
    locationBottom->setToggleButton( TRUE );
    Layout7_2->addWidget( locationBottom );

    locationBottomRight = new TQPushButton( m_locationGroup, "locationBottomRight" );
    locationBottomRight->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, locationBottomRight->sizePolicy().hasHeightForWidth() ) );
    locationBottomRight->setMinimumSize( TQSize( 32, 16 ) );
    locationBottomRight->setMaximumSize( TQSize( 32, 16 ) );
    locationBottomRight->setToggleButton( TRUE );
    Layout7_2->addWidget( locationBottomRight );

    Layout7->addLayout( Layout7_2, 2, 1 );

    Layout9_3 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "Layout9_3"); 

    locationRightTop = new TQPushButton( m_locationGroup, "locationRightTop" );
    locationRightTop->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, locationRightTop->sizePolicy().hasHeightForWidth() ) );
    locationRightTop->setMinimumSize( TQSize( 16, 24 ) );
    locationRightTop->setMaximumSize( TQSize( 16, 24 ) );
    locationRightTop->setToggleButton( TRUE );
    Layout9_3->addWidget( locationRightTop );

    locationRight = new TQPushButton( m_locationGroup, "locationRight" );
    locationRight->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, locationRight->sizePolicy().hasHeightForWidth() ) );
    locationRight->setMinimumSize( TQSize( 16, 24 ) );
    locationRight->setMaximumSize( TQSize( 16, 24 ) );
    locationRight->setToggleButton( TRUE );
    Layout9_3->addWidget( locationRight );

    locationRightBottom = new TQPushButton( m_locationGroup, "locationRightBottom" );
    locationRightBottom->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)1, 0, 0, locationRightBottom->sizePolicy().hasHeightForWidth() ) );
    locationRightBottom->setMinimumSize( TQSize( 16, 24 ) );
    locationRightBottom->setMaximumSize( TQSize( 16, 24 ) );
    locationRightBottom->setToggleButton( TRUE );
    Layout9_3->addWidget( locationRightBottom );

    Layout7->addLayout( Layout9_3, 1, 2 );

    m_locationGroupLayout->addLayout( Layout7, 0, 1 );

    PositionTabBaseLayout->addWidget( m_locationGroup, 1, 0 );
    languageChange();
    resize( TQSize(517, 400).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_percentSlider, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( lengthenPanel(int) ) );
    connect( m_sizeGroup, TQ_SIGNAL( clicked(int) ), this, TQ_SLOT( panelDimensionsChanged() ) );
    connect( m_customSlider, TQ_SIGNAL( valueChanged(int) ), this, TQ_SLOT( panelDimensionsChanged() ) );
    connect( m_percentSlider, TQ_SIGNAL( valueChanged(int) ), m_percentSpinBox, TQ_SLOT( setValue(int) ) );
    connect( m_percentSpinBox, TQ_SIGNAL( valueChanged(int) ), m_percentSlider, TQ_SLOT( setValue(int) ) );
    connect( m_customSlider, TQ_SIGNAL( valueChanged(int) ), m_customSpinbox, TQ_SLOT( setValue(int) ) );
    connect( m_customSpinbox, TQ_SIGNAL( valueChanged(int) ), m_customSlider, TQ_SLOT( setValue(int) ) );
    connect( m_locationGroup, TQ_SIGNAL( clicked(int) ), this, TQ_SLOT( movePanel(int) ) );
    connect( m_panelSize, TQ_SIGNAL( activated(int) ), this, TQ_SLOT( panelDimensionsChanged() ) );
    connect( m_panelList, TQ_SIGNAL( activated(int) ), this, TQ_SLOT( switchPanel(int) ) );

    // tab order
    setTabOrder( locationTopLeft, locationTop );
    setTabOrder( locationTop, locationTopRight );
    setTabOrder( locationTopRight, locationRightTop );
    setTabOrder( locationRightTop, locationRight );
    setTabOrder( locationRight, locationRightBottom );
    setTabOrder( locationRightBottom, locationBottomRight );
    setTabOrder( locationBottomRight, locationBottom );
    setTabOrder( locationBottom, locationBottomLeft );
    setTabOrder( locationBottomLeft, locationLeftBottom );
    setTabOrder( locationLeftBottom, locationLeft );
    setTabOrder( locationLeft, locationLeftTop );
    setTabOrder( locationLeftTop, m_percentSlider );
    setTabOrder( m_percentSlider, m_percentSpinBox );
    setTabOrder( m_percentSpinBox, m_expandCheckBox );
    setTabOrder( m_expandCheckBox, m_customSlider );
    setTabOrder( m_customSlider, m_customSpinbox );
    setTabOrder( m_customSpinbox, m_identifyButton );
    setTabOrder( m_identifyButton, m_xineramaScreenComboBox );

    // buddies
    m_panelListLabel->setBuddy( m_panelList );
    m_xineramaScreenLabel->setBuddy( m_xineramaScreenComboBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PositionTabBase::~PositionTabBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PositionTabBase::languageChange()
{
    TQWhatsThis::add( this, tr2i18n( "This is a list of all the panels currently active on your desktop. Select one to configure." ) );
    m_panelsGroupBox->setTitle( TQString::null );
    m_panelListLabel->setText( tr2i18n( "S&ettings for:" ) );
    XineramaGroup->setTitle( tr2i18n( "Screen" ) );
    TQWhatsThis::add( m_monitorImage, tr2i18n( "This preview image shows how the panel will appear on your screen with the settings you have chosen. Clicking the buttons around the image will move the position of the panel, while moving the length slider and choosing different sizes will change the dimensions of the panel." ) );
    m_identifyButton->setText( tr2i18n( "Identify" ) );
    TQWhatsThis::add( m_identifyButton, tr2i18n( "This button displays each monitor's identifying number" ) );
    m_xineramaScreenLabel->setText( tr2i18n( "&Xinerama screen:" ) );
    TQWhatsThis::add( m_xineramaScreenComboBox, tr2i18n( "This menu selects which screen the Panel will be displayed on in a multiple-monitor system" ) );
    m_rsizeGroup->setTitle( tr2i18n( "Len&gth" ) );
    TQWhatsThis::add( m_rsizeGroup, tr2i18n( "This group of settings determines how the panel is aligned, including\n"
"how it is positioned on the screen and how much of the screen it should use." ) );
    TQWhatsThis::add( m_percentSlider, tr2i18n( "This slider defines how much of the screen's edge will be occupied by the panel." ) );
    m_percentSpinBox->setSuffix( tr2i18n( "%" ) );
    TQWhatsThis::add( m_percentSpinBox, tr2i18n( "This spinbox defines how much of the screen's edge will be occupied by the panel." ) );
    m_expandCheckBox->setText( tr2i18n( "&Expand as required to fit contents" ) );
    TQWhatsThis::add( m_expandCheckBox, tr2i18n( "When this option is selected, the panel will grow as necessary to accommodate the buttons and applets on it." ) );
    m_sizeGroup->setTitle( tr2i18n( "Si&ze" ) );
    TQWhatsThis::add( m_sizeGroup, tr2i18n( "This sets the size of the panel." ) );
    m_panelSize->clear();
    m_panelSize->insertItem( tr2i18n( "Tiny" ) );
    m_panelSize->insertItem( tr2i18n( "Small" ) );
    m_panelSize->insertItem( tr2i18n( "Normal" ) );
    m_panelSize->insertItem( tr2i18n( "Large" ) );
    m_panelSize->insertItem( tr2i18n( "Custom" ) );
    TQWhatsThis::add( m_customSlider, tr2i18n( "This slider defines the panel size when the Custom option is selected." ) );
    m_customSpinbox->setSuffix( tr2i18n( " pixels" ) );
    TQWhatsThis::add( m_customSpinbox, tr2i18n( "This spinbox defines the panel size when the Custom option is selected." ) );
    m_locationGroup->setTitle( tr2i18n( "Position" ) );
    TQWhatsThis::add( m_locationGroup, tr2i18n( "Here you can set the position of the panel highlighted on the left side. You can put any panel on top or bottom of the screen and on the left or right side of the screen. There you can put it into the center or into either corner of the screen." ) );
    locationTopLeft->setText( TQString::null );
    locationTopLeft->setAccel( TQKeySequence( tr2i18n( "Alt+1" ) ) );
    locationTop->setText( TQString::null );
    locationTop->setAccel( TQKeySequence( tr2i18n( "Alt+2" ) ) );
    locationTopRight->setText( TQString::null );
    locationTopRight->setAccel( TQKeySequence( tr2i18n( "Alt+3" ) ) );
    locationLeftTop->setText( TQString::null );
    locationLeftTop->setAccel( TQKeySequence( tr2i18n( "Alt+=" ) ) );
    locationLeft->setText( TQString::null );
    locationLeft->setAccel( TQKeySequence( tr2i18n( "Alt+-" ) ) );
    locationLeftBottom->setText( TQString::null );
    locationLeftBottom->setAccel( TQKeySequence( tr2i18n( "Alt+0" ) ) );
    locationBottomLeft->setText( TQString::null );
    locationBottomLeft->setAccel( TQKeySequence( tr2i18n( "Alt+9" ) ) );
    locationBottom->setText( TQString::null );
    locationBottom->setAccel( TQKeySequence( tr2i18n( "Alt+8" ) ) );
    locationBottomRight->setText( TQString::null );
    locationBottomRight->setAccel( TQKeySequence( tr2i18n( "Alt+7" ) ) );
    locationRightTop->setText( TQString::null );
    locationRightTop->setAccel( TQKeySequence( tr2i18n( "Alt+4" ) ) );
    locationRight->setText( TQString::null );
    locationRight->setAccel( TQKeySequence( tr2i18n( "Alt+5" ) ) );
    locationRightBottom->setText( TQString::null );
    locationRightBottom->setAccel( TQKeySequence( tr2i18n( "Alt+6" ) ) );
}

/****************************************************************************
** PositionTabBase meta object code from reading C++ file 'positiontab.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "positiontab.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *PositionTabBase::className() const
{
    return "PositionTabBase";
}

TQMetaObject *PositionTabBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_PositionTabBase( "PositionTabBase", &PositionTabBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString PositionTabBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PositionTabBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString PositionTabBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PositionTabBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* PositionTabBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUParameter param_slot_0[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_0 = {"switchPanel", 1, param_slot_0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQUParameter param_slot_2[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_2 = {"lengthenPanel", 1, param_slot_2 };
    static const TQUParameter param_slot_3[] = {
	{ 0, &static_QUType_int, 0, TQUParameter::In }
    };
    static const TQUMethod slot_3 = {"movePanel", 1, param_slot_3 };
    static const TQUMethod slot_4 = {"panelDimensionsChanged", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "switchPanel(int)", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected },
	{ "lengthenPanel(int)", &slot_2, TQMetaData::Protected },
	{ "movePanel(int)", &slot_3, TQMetaData::Protected },
	{ "panelDimensionsChanged()", &slot_4, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"PositionTabBase", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_PositionTabBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* PositionTabBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PositionTabBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool PositionTabBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: switchPanel((int)static_QUType_int.get(_o+1)); break;
    case 1: languageChange(); break;
    case 2: lengthenPanel((int)static_QUType_int.get(_o+1)); break;
    case 3: movePanel((int)static_QUType_int.get(_o+1)); break;
    case 4: panelDimensionsChanged(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool PositionTabBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool PositionTabBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool PositionTabBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
