#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kcmtaskbarui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kcmtaskbarui.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <kdialog.h>
#include <kseparator.h>
#include <tdefontcombo.h>
#include <klineedit.h>
#include <tdefontrequester.h>
#include <tqtabwidget.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcheckbox.h>
#include <ntqtabwidget.h>
#include <ntqbuttongroup.h>
#include <ntqcombobox.h>
#include <ntqspinbox.h>
#include <ntqframe.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a TaskbarConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TaskbarConfigUI::TaskbarConfigUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "TaskbarConfigUI" );
    TaskbarConfigUILayout = new TQVBoxLayout( this, 5, KDialog::spacingHint(), "TaskbarConfigUILayout"); 

    layout3 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 

    localConfigWarning = new TQLabel( this, "localConfigWarning" );
    layout3->addWidget( localConfigWarning );

    globalConfigWarning = new TQLabel( this, "globalConfigWarning" );
    layout3->addWidget( globalConfigWarning );

    kcfg_UseGlobalSettings = new TQCheckBox( this, "kcfg_UseGlobalSettings" );
    kcfg_UseGlobalSettings->setChecked( TRUE );
    layout3->addWidget( kcfg_UseGlobalSettings );

    globalConfigReload = new TQPushButton( this, "globalConfigReload" );
    layout3->addWidget( globalConfigReload );

    globalConfigEdit = new TQPushButton( this, "globalConfigEdit" );
    layout3->addWidget( globalConfigEdit );
    localLikeGlobalSpacer = new TQSpacerItem( 20, 1, TQSizePolicy::Minimum, TQSizePolicy::Maximum );
    layout3->addItem( localLikeGlobalSpacer );
    TaskbarConfigUILayout->addLayout( layout3 );

    tabs = new TQTabWidget( this, "tabs" );
    tabs->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)3, 0, 0, tabs->sizePolicy().hasHeightForWidth() ) );

    tab = new TQWidget( tabs, "tab" );
    tabLayout = new TQVBoxLayout( tab, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout"); 

    grpDisplay = new TQButtonGroup( tab, "grpDisplay" );
    grpDisplay->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)4, 0, 0, grpDisplay->sizePolicy().hasHeightForWidth() ) );
    grpDisplay->setColumnLayout(0, TQt::Vertical );
    grpDisplay->layout()->setSpacing( KDialog::spacingHint() );
    grpDisplay->layout()->setMargin( KDialog::marginHint() );
    grpDisplayLayout = new TQGridLayout( grpDisplay->layout() );
    grpDisplayLayout->setAlignment( TQt::AlignTop );

    kcfg_ShowAllWindows = new TQCheckBox( grpDisplay, "kcfg_ShowAllWindows" );
    kcfg_ShowAllWindows->setChecked( TRUE );

    grpDisplayLayout->addMultiCellWidget( kcfg_ShowAllWindows, 0, 0, 0, 3 );
    spacer2_2_3 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    grpDisplayLayout->addItem( spacer2_2_3, 1, 0 );

    kcfg_SortByDesktop = new TQCheckBox( grpDisplay, "kcfg_SortByDesktop" );
    kcfg_SortByDesktop->setChecked( TRUE );

    grpDisplayLayout->addMultiCellWidget( kcfg_SortByDesktop, 1, 1, 1, 3 );

    showAllScreens = new TQCheckBox( grpDisplay, "showAllScreens" );
    showAllScreens->setChecked( TRUE );

    grpDisplayLayout->addMultiCellWidget( showAllScreens, 2, 2, 0, 3 );

    kcfg_ShowOnlyIconified = new TQCheckBox( grpDisplay, "kcfg_ShowOnlyIconified" );

    grpDisplayLayout->addMultiCellWidget( kcfg_ShowOnlyIconified, 3, 3, 0, 3 );

    kSeparator5 = new KSeparator( grpDisplay, "kSeparator5" );

    grpDisplayLayout->addMultiCellWidget( kSeparator5, 4, 4, 0, 3 );

    showTaskStatesLabel = new TQLabel( grpDisplay, "showTaskStatesLabel" );
    showTaskStatesLabel->setMinimumSize( TQSize( 250, 0 ) );

    grpDisplayLayout->addMultiCellWidget( showTaskStatesLabel, 5, 6, 0, 1 );

    kcfg_ShowTaskStates = new TQComboBox( FALSE, grpDisplay, "kcfg_ShowTaskStates" );
    kcfg_ShowTaskStates->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kcfg_ShowTaskStates->sizePolicy().hasHeightForWidth() ) );
    kcfg_ShowTaskStates->setMinimumSize( TQSize( 250, 0 ) );

    grpDisplayLayout->addMultiCellWidget( kcfg_ShowTaskStates, 5, 6, 2, 2 );
    spacer23 = new TQSpacerItem( 31, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    grpDisplayLayout->addItem( spacer23, 6, 3 );
    tabLayout->addWidget( grpDisplay );

    grpSortGroup = new TQButtonGroup( tab, "grpSortGroup" );
    grpSortGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)4, 0, 0, grpSortGroup->sizePolicy().hasHeightForWidth() ) );
    grpSortGroup->setColumnLayout(0, TQt::Vertical );
    grpSortGroup->layout()->setSpacing( KDialog::spacingHint() );
    grpSortGroup->layout()->setMargin( KDialog::marginHint() );
    grpSortGroupLayout = new TQGridLayout( grpSortGroup->layout() );
    grpSortGroupLayout->setAlignment( TQt::AlignTop );
    spacer2_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    grpSortGroupLayout->addItem( spacer2_2, 1, 0 );

    kcfg_AllowDragAndDropReArrange = new TQCheckBox( grpSortGroup, "kcfg_AllowDragAndDropReArrange" );
    kcfg_AllowDragAndDropReArrange->setChecked( TRUE );

    grpSortGroupLayout->addMultiCellWidget( kcfg_AllowDragAndDropReArrange, 1, 1, 1, 3 );

    kcfg_SortByApp = new TQCheckBox( grpSortGroup, "kcfg_SortByApp" );
    kcfg_SortByApp->setChecked( TRUE );

    grpSortGroupLayout->addMultiCellWidget( kcfg_SortByApp, 0, 0, 0, 3 );

    kSeparator6 = new KSeparator( grpSortGroup, "kSeparator6" );

    grpSortGroupLayout->addMultiCellWidget( kSeparator6, 3, 3, 0, 3 );

    groupTasksLabel = new TQLabel( grpSortGroup, "groupTasksLabel" );
    groupTasksLabel->setMinimumSize( TQSize( 250, 0 ) );

    grpSortGroupLayout->addMultiCellWidget( groupTasksLabel, 4, 4, 0, 1 );

    kcfg_GroupTasks = new TQComboBox( FALSE, grpSortGroup, "kcfg_GroupTasks" );
    kcfg_GroupTasks->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kcfg_GroupTasks->sizePolicy().hasHeightForWidth() ) );
    kcfg_GroupTasks->setMinimumSize( TQSize( 300, 0 ) );

    grpSortGroupLayout->addWidget( kcfg_GroupTasks, 4, 2 );
    spacer23_2 = new TQSpacerItem( 31, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    grpSortGroupLayout->addItem( spacer23_2, 4, 3 );
    tabLayout->addWidget( grpSortGroup );
    spacer16 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Minimum );
    tabLayout->addItem( spacer16 );
    tabs->insertTab( tab, TQString::fromLatin1("") );

    TabPage = new TQWidget( tabs, "TabPage" );
    TabPageLayout = new TQGridLayout( TabPage, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "TabPageLayout"); 
    spacer21 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Minimum );
    TabPageLayout->addItem( spacer21, 2, 1 );

    grpTaskbarColors = new TQButtonGroup( TabPage, "grpTaskbarColors" );
    grpTaskbarColors->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)5, 0, 0, grpTaskbarColors->sizePolicy().hasHeightForWidth() ) );
    grpTaskbarColors->setColumnLayout(0, TQt::Vertical );
    grpTaskbarColors->layout()->setSpacing( KDialog::spacingHint() );
    grpTaskbarColors->layout()->setMargin( KDialog::marginHint() );
    grpTaskbarColorsLayout = new TQGridLayout( grpTaskbarColors->layout() );
    grpTaskbarColorsLayout->setAlignment( TQt::AlignTop );
    spacer2_2_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    grpTaskbarColorsLayout->addItem( spacer2_2_2, 2, 0 );

    kcfg_UseCustomColors = new TQCheckBox( grpTaskbarColors, "kcfg_UseCustomColors" );
    kcfg_UseCustomColors->setEnabled( TRUE );
    kcfg_UseCustomColors->setChecked( TRUE );

    grpTaskbarColorsLayout->addMultiCellWidget( kcfg_UseCustomColors, 1, 1, 0, 2 );

    layout19 = new TQGridLayout( 0, 1, 1, 0, KDialog::spacingHint(), "layout19"); 

    activeTaskTextColorLabel = new TQLabel( grpTaskbarColors, "activeTaskTextColorLabel" );
    activeTaskTextColorLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, activeTaskTextColorLabel->sizePolicy().hasHeightForWidth() ) );

    layout19->addWidget( activeTaskTextColorLabel, 1, 0 );

    taskBackgroundColorLabel = new TQLabel( grpTaskbarColors, "taskBackgroundColorLabel" );
    taskBackgroundColorLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, taskBackgroundColorLabel->sizePolicy().hasHeightForWidth() ) );

    layout19->addWidget( taskBackgroundColorLabel, 2, 0 );

    kcfg_InactiveTaskTextColor = new KColorButton( grpTaskbarColors, "kcfg_InactiveTaskTextColor" );

    layout19->addWidget( kcfg_InactiveTaskTextColor, 0, 1 );

    kcfg_ActiveTaskTextColor = new KColorButton( grpTaskbarColors, "kcfg_ActiveTaskTextColor" );

    layout19->addWidget( kcfg_ActiveTaskTextColor, 1, 1 );

    kcfg_TaskBackgroundColor = new KColorButton( grpTaskbarColors, "kcfg_TaskBackgroundColor" );

    layout19->addWidget( kcfg_TaskBackgroundColor, 2, 1 );

    inactiveTaskTextColorLabel = new TQLabel( grpTaskbarColors, "inactiveTaskTextColorLabel" );
    inactiveTaskTextColorLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, inactiveTaskTextColorLabel->sizePolicy().hasHeightForWidth() ) );

    layout19->addWidget( inactiveTaskTextColorLabel, 0, 0 );

    grpTaskbarColorsLayout->addMultiCellLayout( layout19, 2, 2, 1, 2 );

    TabPageLayout->addWidget( grpTaskbarColors, 0, 1 );

    grpAppearanceMisc = new TQButtonGroup( TabPage, "grpAppearanceMisc" );
    grpAppearanceMisc->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, grpAppearanceMisc->sizePolicy().hasHeightForWidth() ) );
    grpAppearanceMisc->setColumnLayout(0, TQt::Vertical );
    grpAppearanceMisc->layout()->setSpacing( KDialog::spacingHint() );
    grpAppearanceMisc->layout()->setMargin( KDialog::marginHint() );
    grpAppearanceMiscLayout = new TQGridLayout( grpAppearanceMisc->layout() );
    grpAppearanceMiscLayout->setAlignment( TQt::AlignTop );

    kcfg_ShowWindowListBtn = new TQCheckBox( grpAppearanceMisc, "kcfg_ShowWindowListBtn" );
    kcfg_ShowWindowListBtn->setChecked( TRUE );

    grpAppearanceMiscLayout->addMultiCellWidget( kcfg_ShowWindowListBtn, 0, 0, 0, 1 );

    kSeparator7 = new KSeparator( grpAppearanceMisc, "kSeparator7" );

    grpAppearanceMiscLayout->addMultiCellWidget( kSeparator7, 1, 1, 0, 1 );

    maxButtonWidthLabel = new TQLabel( grpAppearanceMisc, "maxButtonWidthLabel" );

    grpAppearanceMiscLayout->addWidget( maxButtonWidthLabel, 2, 0 );

    kcfg_MaximumButtonWidth = new TQSpinBox( grpAppearanceMisc, "kcfg_MaximumButtonWidth" );
    kcfg_MaximumButtonWidth->setMaxValue( 500 );
    kcfg_MaximumButtonWidth->setMinValue( 10 );
    kcfg_MaximumButtonWidth->setValue( 200 );

    grpAppearanceMiscLayout->addWidget( kcfg_MaximumButtonWidth, 2, 1 );

    TabPageLayout->addWidget( grpAppearanceMisc, 1, 1 );

    grpIconsNText = new TQButtonGroup( TabPage, "grpIconsNText" );
    grpIconsNText->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, grpIconsNText->sizePolicy().hasHeightForWidth() ) );
    grpIconsNText->setColumnLayout(0, TQt::Vertical );
    grpIconsNText->layout()->setSpacing( KDialog::spacingHint() );
    grpIconsNText->layout()->setMargin( KDialog::marginHint() );
    grpIconsNTextLayout = new TQGridLayout( grpIconsNText->layout() );
    grpIconsNTextLayout->setAlignment( TQt::AlignTop );

    displayIconsNTextLabel = new TQLabel( grpIconsNText, "displayIconsNTextLabel" );
    displayIconsNTextLabel->setMinimumSize( TQSize( 130, 0 ) );

    grpIconsNTextLayout->addWidget( displayIconsNTextLabel, 0, 0 );
    spacer2_2_2_3_3 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    grpIconsNTextLayout->addItem( spacer2_2_2_3_3, 0, 1 );

    kcfg_DisplayIconsNText = new TQComboBox( FALSE, grpIconsNText, "kcfg_DisplayIconsNText" );
    kcfg_DisplayIconsNText->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, kcfg_DisplayIconsNText->sizePolicy().hasHeightForWidth() ) );

    grpIconsNTextLayout->addMultiCellWidget( kcfg_DisplayIconsNText, 0, 0, 2, 3 );

    useIconsFrame = new TQFrame( grpIconsNText, "useIconsFrame" );
    useIconsFrame->setEnabled( FALSE );
    useIconsFrame->setFrameShape( TQFrame::StyledPanel );
    useIconsFrame->setFrameShadow( TQFrame::Raised );
    useIconsFrameLayout = new TQGridLayout( useIconsFrame, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "useIconsFrameLayout"); 

    smallIcons = new TQCheckBox( useIconsFrame, "smallIcons" );
    smallIcons->setChecked( TRUE );

    useIconsFrameLayout->addMultiCellWidget( smallIcons, 0, 0, 0, 2 );

    kcfg_ShowThumbnails = new TQCheckBox( useIconsFrame, "kcfg_ShowThumbnails" );

    useIconsFrameLayout->addMultiCellWidget( kcfg_ShowThumbnails, 1, 1, 0, 2 );
    spacer2_2_2_3 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    useIconsFrameLayout->addItem( spacer2_2_2_3, 2, 0 );

    thumbMaxDimensionLabel = new TQLabel( useIconsFrame, "thumbMaxDimensionLabel" );
    thumbMaxDimensionLabel->setEnabled( FALSE );

    useIconsFrameLayout->addWidget( thumbMaxDimensionLabel, 2, 1 );

    kcfg_ThumbnailMaxDimension = new TQSpinBox( useIconsFrame, "kcfg_ThumbnailMaxDimension" );
    kcfg_ThumbnailMaxDimension->setEnabled( FALSE );
    kcfg_ThumbnailMaxDimension->setMaxValue( 500 );
    kcfg_ThumbnailMaxDimension->setMinValue( 50 );
    kcfg_ThumbnailMaxDimension->setValue( 100 );

    useIconsFrameLayout->addWidget( kcfg_ThumbnailMaxDimension, 2, 2 );

    grpIconsNTextLayout->addMultiCellWidget( useIconsFrame, 1, 1, 0, 3 );

    TabPageLayout->addWidget( grpIconsNText, 1, 0 );

    grpTaskbarStyle = new TQButtonGroup( TabPage, "grpTaskbarStyle" );
    grpTaskbarStyle->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)4, 0, 0, grpTaskbarStyle->sizePolicy().hasHeightForWidth() ) );
    grpTaskbarStyle->setColumnLayout(0, TQt::Vertical );
    grpTaskbarStyle->layout()->setSpacing( KDialog::spacingHint() );
    grpTaskbarStyle->layout()->setMargin( KDialog::marginHint() );
    grpTaskbarStyleLayout = new TQGridLayout( grpTaskbarStyle->layout() );
    grpTaskbarStyleLayout->setAlignment( TQt::AlignTop );

    textLabel1 = new TQLabel( grpTaskbarStyle, "textLabel1" );
    textLabel1->setMinimumSize( TQSize( 130, 0 ) );

    grpTaskbarStyleLayout->addWidget( textLabel1, 0, 0 );
    spacer2_2_2_3_3_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    grpTaskbarStyleLayout->addItem( spacer2_2_2_3_3_2, 0, 1 );

    appearance = new TQComboBox( FALSE, grpTaskbarStyle, "appearance" );
    appearance->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 0, 0, appearance->sizePolicy().hasHeightForWidth() ) );

    grpTaskbarStyleLayout->addMultiCellWidget( appearance, 0, 0, 2, 3 );

    customAppearance = new TQFrame( grpTaskbarStyle, "customAppearance" );
    customAppearance->setEnabled( FALSE );
    customAppearance->setFrameShape( TQFrame::StyledPanel );
    customAppearance->setFrameShadow( TQFrame::Raised );
    customAppearanceLayout = new TQGridLayout( customAppearance, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "customAppearanceLayout"); 

    kcfg_DrawButtons = new TQCheckBox( customAppearance, "kcfg_DrawButtons" );

    customAppearanceLayout->addMultiCellWidget( kcfg_DrawButtons, 0, 0, 0, 2 );
    spacer2_2_2_3_3_3 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    customAppearanceLayout->addItem( spacer2_2_2_3_3_3, 1, 0 );

    kcfg_ShowButtonOnHover = new TQCheckBox( customAppearance, "kcfg_ShowButtonOnHover" );

    customAppearanceLayout->addMultiCellWidget( kcfg_ShowButtonOnHover, 1, 1, 1, 2 );

    kcfg_HaloText = new TQCheckBox( customAppearance, "kcfg_HaloText" );
    kcfg_HaloText->setChecked( TRUE );

    customAppearanceLayout->addMultiCellWidget( kcfg_HaloText, 2, 2, 0, 2 );

    grpTaskbarStyleLayout->addMultiCellWidget( customAppearance, 1, 1, 0, 3 );

    TabPageLayout->addWidget( grpTaskbarStyle, 0, 0 );
    tabs->insertTab( TabPage, TQString::fromLatin1("") );

    tab_2 = new TQWidget( tabs, "tab_2" );
    tabLayout_2 = new TQVBoxLayout( tab_2, KDialog::marginHint(), KDialog::spacingHint(), "tabLayout_2"); 

    actionsGroup = new TQGroupBox( tab_2, "actionsGroup" );
    actionsGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)1, 0, 0, actionsGroup->sizePolicy().hasHeightForWidth() ) );
    actionsGroup->setColumnLayout(0, TQt::Vertical );
    actionsGroup->layout()->setSpacing( KDialog::spacingHint() );
    actionsGroup->layout()->setMargin( KDialog::marginHint() );
    actionsGroupLayout = new TQGridLayout( actionsGroup->layout() );
    actionsGroupLayout->setAlignment( TQt::AlignTop );

    leftButtonLabel = new TQLabel( actionsGroup, "leftButtonLabel" );

    actionsGroupLayout->addWidget( leftButtonLabel, 0, 0 );

    kcfg_LeftButtonAction = new TQComboBox( FALSE, actionsGroup, "kcfg_LeftButtonAction" );
    kcfg_LeftButtonAction->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kcfg_LeftButtonAction->sizePolicy().hasHeightForWidth() ) );

    actionsGroupLayout->addWidget( kcfg_LeftButtonAction, 0, 1 );

    middleButtonLabel = new TQLabel( actionsGroup, "middleButtonLabel" );

    actionsGroupLayout->addWidget( middleButtonLabel, 1, 0 );

    kcfg_MiddleButtonAction = new TQComboBox( FALSE, actionsGroup, "kcfg_MiddleButtonAction" );
    kcfg_MiddleButtonAction->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kcfg_MiddleButtonAction->sizePolicy().hasHeightForWidth() ) );

    actionsGroupLayout->addWidget( kcfg_MiddleButtonAction, 1, 1 );

    kcfg_RightButtonAction = new TQComboBox( FALSE, actionsGroup, "kcfg_RightButtonAction" );
    kcfg_RightButtonAction->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kcfg_RightButtonAction->sizePolicy().hasHeightForWidth() ) );

    actionsGroupLayout->addWidget( kcfg_RightButtonAction, 2, 1 );

    rightButtonLabel = new TQLabel( actionsGroup, "rightButtonLabel" );

    actionsGroupLayout->addWidget( rightButtonLabel, 2, 0 );

    kcfg_CycleWheel = new TQCheckBox( actionsGroup, "kcfg_CycleWheel" );
    kcfg_CycleWheel->setChecked( TRUE );

    actionsGroupLayout->addMultiCellWidget( kcfg_CycleWheel, 4, 4, 0, 1 );
    spacer11 = new TQSpacerItem( 20, 21, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    actionsGroupLayout->addItem( spacer11, 3, 0 );
    tabLayout_2->addWidget( actionsGroup );
    spacer35 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Minimum );
    tabLayout_2->addItem( spacer35 );
    tabs->insertTab( tab_2, TQString::fromLatin1("") );
    TaskbarConfigUILayout->addWidget( tabs );
    languageChange();
    resize( TQSize(817, 828).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_ShowThumbnails, TQ_SIGNAL( toggled(bool) ), kcfg_ThumbnailMaxDimension, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_UseCustomColors, TQ_SIGNAL( toggled(bool) ), kcfg_InactiveTaskTextColor, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_UseCustomColors, TQ_SIGNAL( toggled(bool) ), kcfg_ActiveTaskTextColor, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_UseCustomColors, TQ_SIGNAL( toggled(bool) ), kcfg_TaskBackgroundColor, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_ShowThumbnails, TQ_SIGNAL( toggled(bool) ), thumbMaxDimensionLabel, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_SortByApp, TQ_SIGNAL( toggled(bool) ), kcfg_AllowDragAndDropReArrange, TQ_SLOT( setDisabled(bool) ) );
    connect( kcfg_DrawButtons, TQ_SIGNAL( toggled(bool) ), kcfg_ShowButtonOnHover, TQ_SLOT( setDisabled(bool) ) );
    connect( kcfg_HaloText, TQ_SIGNAL( toggled(bool) ), kcfg_ShowButtonOnHover, TQ_SLOT( setDisabled(bool) ) );
    connect( kcfg_ShowAllWindows, TQ_SIGNAL( toggled(bool) ), kcfg_SortByDesktop, TQ_SLOT( setEnabled(bool) ) );

    // buddies
    showTaskStatesLabel->setBuddy( kcfg_ShowTaskStates );
    groupTasksLabel->setBuddy( kcfg_GroupTasks );
    activeTaskTextColorLabel->setBuddy( kcfg_ActiveTaskTextColor );
    taskBackgroundColorLabel->setBuddy( kcfg_TaskBackgroundColor );
    inactiveTaskTextColorLabel->setBuddy( kcfg_InactiveTaskTextColor );
    displayIconsNTextLabel->setBuddy( kcfg_DisplayIconsNText );
    textLabel1->setBuddy( appearance );
    leftButtonLabel->setBuddy( kcfg_LeftButtonAction );
    middleButtonLabel->setBuddy( kcfg_MiddleButtonAction );
    rightButtonLabel->setBuddy( kcfg_RightButtonAction );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TaskbarConfigUI::~TaskbarConfigUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TaskbarConfigUI::languageChange()
{
    setCaption( tr2i18n( "Taskbar" ) );
    localConfigWarning->setText( tr2i18n( "<b>NOTE:</b> Currently you are editing the taskbar configuration for <b>only</b> this taskbar." ) );
    globalConfigWarning->setText( tr2i18n( "<b>NOTE: Currently you are editing the global taskbar configuration.</b><br>To change the configuration of a specific taskbar (when using multiple taskbars), use the corresponding Configure Taskbar menu option, located in the taskbar handle popup menu." ) );
    kcfg_UseGlobalSettings->setText( tr2i18n( "Use global floating taskbar configuration" ) );
    TQWhatsThis::add( kcfg_UseGlobalSettings, tr2i18n( "Selecting this option causes the taskbar to use the global taskbar configuration." ) );
    globalConfigReload->setText( tr2i18n( "Overwrite current configuration with the current global floating taskbar configuration" ) );
    globalConfigEdit->setText( tr2i18n( "Edit global floating taskbar configuration" ) );
    grpDisplay->setTitle( tr2i18n( "Display" ) );
    kcfg_ShowAllWindows->setText( tr2i18n( "&Show windows from all desktops" ) );
    TQWhatsThis::add( kcfg_ShowAllWindows, tr2i18n( "Turning this option off will cause the taskbar to display <b>only</b> the windows on the current desktop. By default, this option is selected and all windows are shown." ) );
    kcfg_SortByDesktop->setText( tr2i18n( "Sort windows by desk&top" ) );
    TQWhatsThis::add( kcfg_SortByDesktop, tr2i18n( "Selecting this option causes the taskbar to show windows in order of the desktop they appear on. By default this option is selected." ) );
    showAllScreens->setText( tr2i18n( "Show windows from all sc&reens" ) );
    TQWhatsThis::add( showAllScreens, tr2i18n( "Turning this option off will cause the taskbar to display <b>only</b> windows which are on the same Xinerama screen as the taskbar. By default, this option is selected and all windows are shown." ) );
    kcfg_ShowOnlyIconified->setText( tr2i18n( "Show o&nly minimized windows" ) );
    TQWhatsThis::add( kcfg_ShowOnlyIconified, tr2i18n( "Select this option if you want the taskbar to display <b>only</b> minimized windows. By default, this option is not selected and the taskbar will show all windows." ) );
    showTaskStatesLabel->setText( tr2i18n( "&Show tasks with state:" ) );
    TQWhatsThis::add( kcfg_ShowTaskStates, tr2i18n( "The taskbar can show and/or hide tasks based on their current process state. Select <em>Any</em> to show all tasks regardless of current state." ) );
    grpSortGroup->setTitle( tr2i18n( "Sorting and grouping" ) );
    kcfg_AllowDragAndDropReArrange->setText( tr2i18n( "&Allow taskbar items to be rearranged using drag and drop" ) );
    TQWhatsThis::add( kcfg_AllowDragAndDropReArrange, tr2i18n( "Turning this option on will allow tasks on the taskbar to be manually rearranged using drag and drop." ) );
    kcfg_SortByApp->setText( tr2i18n( "Sort alphabeticall&y by application name" ) );
    groupTasksLabel->setText( tr2i18n( "&Group similar tasks:" ) );
    TQWhatsThis::add( kcfg_GroupTasks, tr2i18n( "The taskbar can group similar windows into single buttons. When one of these window group buttons are clicked on a menu appears showing all the windows in that group. This can be especially useful with the <em>Show all windows</em> option. You can set the taskbar to <strong>Never</strong> group windows, to <strong>Always</strong> group windows or to group windows only <strong>When the Taskbar is Full</strong>. By default the taskbar groups windows when it is full." ) );
    tabs->changeTab( tab, tr2i18n( "&Tasks" ) );
    grpTaskbarColors->setTitle( tr2i18n( "Colors" ) );
    kcfg_UseCustomColors->setText( tr2i18n( "Use &custom colors" ) );
    activeTaskTextColorLabel->setText( tr2i18n( "Active task te&xt color:" ) );
    taskBackgroundColorLabel->setText( tr2i18n( "&Background color:" ) );
    inactiveTaskTextColorLabel->setText( tr2i18n( "Inacti&ve task text color:" ) );
    grpAppearanceMisc->setTitle( tr2i18n( "Miscellaneous" ) );
    kcfg_ShowWindowListBtn->setText( tr2i18n( "Show window list &button" ) );
    TQWhatsThis::add( kcfg_ShowWindowListBtn, tr2i18n( "Selecting this option causes the taskbar to display a button that, when clicked, shows a list of all windows in a popup menu." ) );
    maxButtonWidthLabel->setText( tr2i18n( "Max width for buttons:" ) );
    TQWhatsThis::add( maxButtonWidthLabel, tr2i18n( "This option allows to set the maximum width for taskbar buttons." ) );
    kcfg_MaximumButtonWidth->setSuffix( tr2i18n( " px" ) );
    grpIconsNText->setTitle( tr2i18n( "Icons" ) );
    displayIconsNTextLabel->setText( tr2i18n( "Dis&play:" ) );
    TQWhatsThis::add( kcfg_DisplayIconsNText, tr2i18n( "Choose taskbar display mode among <strong>Icons and text</strong>, <strong>Text only</strong> and <strong>Icons only</strong>." ) );
    smallIcons->setText( tr2i18n( "Small icons" ) );
    TQWhatsThis::add( smallIcons, tr2i18n( "Selecting this option makes the taskbar use small icons." ) );
    kcfg_ShowThumbnails->setText( tr2i18n( "Show thumbnails on hover" ) );
    thumbMaxDimensionLabel->setText( tr2i18n( "Maximum dimension:" ) );
    kcfg_ThumbnailMaxDimension->setSuffix( tr2i18n( " px" ) );
    grpTaskbarStyle->setTitle( tr2i18n( "Button style" ) );
    textLabel1->setText( tr2i18n( "Taskbar style:" ) );
    kcfg_DrawButtons->setText( tr2i18n( "Always draw items as buttons" ) );
    kcfg_ShowButtonOnHover->setText( tr2i18n( "Draw items as buttons on hover" ) );
    kcfg_HaloText->setText( tr2i18n( "Draw halo around text" ) );
    tabs->changeTab( TabPage, tr2i18n( "&Appearance" ) );
    actionsGroup->setTitle( tr2i18n( "Mouse Actions" ) );
    leftButtonLabel->setText( tr2i18n( "&Left button:" ) );
    middleButtonLabel->setText( tr2i18n( "&Middle button:" ) );
    rightButtonLabel->setText( tr2i18n( "Right b&utton:" ) );
    kcfg_CycleWheel->setText( tr2i18n( "Cycle through windows with mouse wheel" ) );
    tabs->changeTab( tab_2, tr2i18n( "A&ctions" ) );
}

/****************************************************************************
** TaskbarConfigUI meta object code from reading C++ file 'kcmtaskbarui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kcmtaskbarui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *TaskbarConfigUI::className() const
{
    return "TaskbarConfigUI";
}

TQMetaObject *TaskbarConfigUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_TaskbarConfigUI( "TaskbarConfigUI", &TaskbarConfigUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString TaskbarConfigUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TaskbarConfigUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString TaskbarConfigUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TaskbarConfigUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* TaskbarConfigUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"TaskbarConfigUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_TaskbarConfigUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* TaskbarConfigUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TaskbarConfigUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool TaskbarConfigUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool TaskbarConfigUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool TaskbarConfigUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool TaskbarConfigUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
