#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'policydlg_ui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "policydlg_ui.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a PolicyDlgUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PolicyDlgUI::PolicyDlgUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "PolicyDlgUI" );
    PolicyDlgUILayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "PolicyDlgUILayout"); 

    lbDomain = new TQLabel( this, "lbDomain" );
    PolicyDlgUILayout->addWidget( lbDomain );

    leDomain = new KLineEdit( this, "leDomain" );
    PolicyDlgUILayout->addWidget( leDomain );

    lbPolicy = new TQLabel( this, "lbPolicy" );
    PolicyDlgUILayout->addWidget( lbPolicy );

    cbPolicy = new KComboBox( FALSE, this, "cbPolicy" );
    PolicyDlgUILayout->addWidget( cbPolicy );
    languageChange();
    resize( TQSize(291, 120).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lbDomain->setBuddy( leDomain );
    lbPolicy->setBuddy( cbPolicy );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PolicyDlgUI::~PolicyDlgUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PolicyDlgUI::languageChange()
{
    lbDomain->setText( tr2i18n( "&Domain name:" ) );
    TQWhatsThis::add( lbDomain, tr2i18n( "<qt>\n"
"Enter the host or domain to which this policy applies, e.g. <b>www.trinitydesktop.org</b> or <b>.trinitydesktop.org</b>.\n"
"</qt>" ) );
    TQWhatsThis::add( leDomain, tr2i18n( "<qt>\n"
"Enter the host or domain to which this policy applies, e.g. <b>www.trinitydesktop.org</b> or <b>.trinitydesktop.org</b>.\n"
"</qt>" ) );
    lbPolicy->setText( tr2i18n( "&Policy:" ) );
    TQWhatsThis::add( lbPolicy, tr2i18n( "<qt>\n"
"Select the desired policy:\n"
"<ul>\n"
"<li><b>Accept</b> - Allows this site to set cookies</li>\n"
"<li><b>Reject</b> - Refuse all cookies sent from this site</li>\n"
"<li><b>Ask</b> - Prompt when cookies are received from this site</li>\n"
"</ul>\n"
"</qt>" ) );
    cbPolicy->clear();
    cbPolicy->insertItem( tr2i18n( "Accept" ) );
    cbPolicy->insertItem( tr2i18n( "Reject" ) );
    cbPolicy->insertItem( tr2i18n( "Ask" ) );
    TQWhatsThis::add( cbPolicy, tr2i18n( "<qt>\n"
"Select the desired policy:\n"
"<ul>\n"
"<li><b>Accept</b> - Allows this site to set cookies</li>\n"
"<li><b>Reject</b> - Refuse all cookies sent from this site</li>\n"
"<li><b>Ask</b> - Prompt when cookies are received from this site</li>\n"
"</ul>\n"
"</qt>" ) );
}

/****************************************************************************
** PolicyDlgUI meta object code from reading C++ file 'policydlg_ui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "policydlg_ui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *PolicyDlgUI::className() const
{
    return "PolicyDlgUI";
}

TQMetaObject *PolicyDlgUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_PolicyDlgUI( "PolicyDlgUI", &PolicyDlgUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString PolicyDlgUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PolicyDlgUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString PolicyDlgUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "PolicyDlgUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* PolicyDlgUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"PolicyDlgUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_PolicyDlgUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* PolicyDlgUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PolicyDlgUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool PolicyDlgUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool PolicyDlgUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool PolicyDlgUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool PolicyDlgUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
