#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'uagentproviderdlg_ui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "uagentproviderdlg_ui.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <ntqlabel.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a UAProviderDlgUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
UAProviderDlgUI::UAProviderDlgUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "UAProviderDlgUI" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    UAProviderDlgUILayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "UAProviderDlgUILayout"); 

    lbSite = new TQLabel( this, "lbSite" );

    UAProviderDlgUILayout->addWidget( lbSite, 0, 0 );

    leSite = new KLineEdit( this, "leSite" );

    UAProviderDlgUILayout->addWidget( leSite, 1, 0 );

    lbAlias = new TQLabel( this, "lbAlias" );

    UAProviderDlgUILayout->addWidget( lbAlias, 2, 0 );

    cbAlias = new KComboBox( FALSE, this, "cbAlias" );

    UAProviderDlgUILayout->addWidget( cbAlias, 3, 0 );

    lbIdentity = new TQLabel( this, "lbIdentity" );

    UAProviderDlgUILayout->addWidget( lbIdentity, 4, 0 );

    leIdentity = new KLineEdit( this, "leIdentity" );
    leIdentity->setReadOnly( TRUE );

    UAProviderDlgUILayout->addWidget( leIdentity, 5, 0 );
    spacer3 = new TQSpacerItem( 21, 16, TQSizePolicy::Minimum, TQSizePolicy::MinimumExpanding );
    UAProviderDlgUILayout->addItem( spacer3, 6, 0 );

    layout3 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout3"); 
    spacer2 = new TQSpacerItem( 29, 20, TQSizePolicy::MinimumExpanding, TQSizePolicy::Minimum );
    layout3->addItem( spacer2 );

    pbOk = new TQPushButton( this, "pbOk" );
    pbOk->setEnabled( FALSE );
    layout3->addWidget( pbOk );

    pbCancel = new TQPushButton( this, "pbCancel" );
    layout3->addWidget( pbCancel );

    UAProviderDlgUILayout->addLayout( layout3, 8, 0 );

    line1 = new TQFrame( this, "line1" );
    line1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, line1->sizePolicy().hasHeightForWidth() ) );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    UAProviderDlgUILayout->addWidget( line1, 7, 0 );
    languageChange();
    resize( TQSize(298, 240).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lbSite->setBuddy( leSite );
    lbAlias->setBuddy( leIdentity );
    lbIdentity->setBuddy( leIdentity );
}

/*
 *  Destroys the object and frees any allocated resources
 */
UAProviderDlgUI::~UAProviderDlgUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void UAProviderDlgUI::languageChange()
{
    lbSite->setText( tr2i18n( "&When browsing the following site:" ) );
    TQWhatsThis::add( lbSite, tr2i18n( "<qt>\n"
"Enter the site or domain name where a fake browser identification should be used.<p>\n"
"<u>NOTE:</u> Wildcard syntax such as \\\"*,?\\\" is NOT allowed: instead, use the top level address of a site to make generic matches; for example, if you want all TDE sites to receive a fake browser identification, you would enter <code>.kde.org</code> - the fake identity would then be sent to any TDE site that ends with <code>.kde.org</code>.\n"
"</qt>" ) );
    TQWhatsThis::add( leSite, tr2i18n( "<qt>\n"
"Enter the site or domain name where a fake browser identification should be used.<p>\n"
"<u>NOTE:</u> Wildcard syntax such as \\\"*,?\\\" is NOT allowed: instead, use the top level address of a site to make generic matches; for example, if you want all TDE sites to receive a fake browser identification, you would enter <code>.kde.org</code> - the fake identity would then be sent to any TDE site that ends with <code>.kde.org</code>.\n"
"</qt>" ) );
    lbAlias->setText( tr2i18n( "&Use the following identification:" ) );
    TQWhatsThis::add( lbAlias, tr2i18n( "<qt>\n"
"Select the browser identification to use whenever contacting the site you specified above.\n"
"</qt>" ) );
    TQWhatsThis::add( cbAlias, tr2i18n( "<qt>\n"
"Select the browser identification to use whenever contacting the site you specified above.\n"
"</qt>" ) );
    lbIdentity->setText( tr2i18n( "Real identification:" ) );
    TQWhatsThis::add( lbIdentity, tr2i18n( "<qt>\n"
"The actual browser identification text that will be sent to the remote machine.\n"
"</qt>" ) );
    TQWhatsThis::add( leIdentity, tr2i18n( "<qt>\n"
"The actual browser identification text that will be sent to the remote machine.\n"
"</qt>" ) );
    pbOk->setText( tr2i18n( "&OK" ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
}

/****************************************************************************
** UAProviderDlgUI meta object code from reading C++ file 'uagentproviderdlg_ui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "uagentproviderdlg_ui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *UAProviderDlgUI::className() const
{
    return "UAProviderDlgUI";
}

TQMetaObject *UAProviderDlgUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_UAProviderDlgUI( "UAProviderDlgUI", &UAProviderDlgUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString UAProviderDlgUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "UAProviderDlgUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString UAProviderDlgUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "UAProviderDlgUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* UAProviderDlgUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"UAProviderDlgUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_UAProviderDlgUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* UAProviderDlgUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "UAProviderDlgUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool UAProviderDlgUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool UAProviderDlgUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool UAProviderDlgUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool UAProviderDlgUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
