#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gestures_settings_tab_ui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gestures_settings_tab_ui.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "windowdef_list_widget.h"

/*
 *  Constructs a Gestures_settings_tab_ui as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Gestures_settings_tab_ui::Gestures_settings_tab_ui( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Gestures_settings_tab_ui" );
    Gestures_settings_tab_uiLayout = new TQVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "Gestures_settings_tab_uiLayout"); 

    mouse_gestures_globally = new TQCheckBox( this, "mouse_gestures_globally" );
    Gestures_settings_tab_uiLayout->addWidget( mouse_gestures_globally );

    layout1 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout1"); 

    mouse_button_label = new TQLabel( this, "mouse_button_label" );
    layout1->addWidget( mouse_button_label );

    mouse_button_combo = new TQComboBox( FALSE, this, "mouse_button_combo" );
    layout1->addWidget( mouse_button_combo );
    Gestures_settings_tab_uiLayout->addLayout( layout1 );

    layout2 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout2"); 

    timeout_label = new TQLabel( this, "timeout_label" );
    layout2->addWidget( timeout_label );

    timeout_input = new KIntNumInput( this, "timeout_input" );
    timeout_input->setMinValue( 0 );
    timeout_input->setMaxValue( 100000 );
    layout2->addWidget( timeout_input );
    Gestures_settings_tab_uiLayout->addLayout( layout2 );

    window_groupbox = new TQGroupBox( this, "window_groupbox" );
    window_groupbox->setColumnLayout(0, TQt::Vertical );
    window_groupbox->layout()->setSpacing( 6 );
    window_groupbox->layout()->setMargin( 11 );
    window_groupboxLayout = new TQVBoxLayout( window_groupbox->layout() );
    window_groupboxLayout->setAlignment( TQt::AlignTop );

    windowdef_list_widget = new KHotKeys::Windowdef_list_widget( window_groupbox, "windowdef_list_widget" );
    window_groupboxLayout->addWidget( windowdef_list_widget );
    Gestures_settings_tab_uiLayout->addWidget( window_groupbox );
    spacer1 = new TQSpacerItem( 20, 50, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Gestures_settings_tab_uiLayout->addItem( spacer1 );
    languageChange();
    resize( TQSize(600, 492).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    mouse_button_label->setBuddy( mouse_button_combo );
    timeout_label->setBuddy( timeout_input );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Gestures_settings_tab_ui::~Gestures_settings_tab_ui()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Gestures_settings_tab_ui::languageChange()
{
    mouse_gestures_globally->setText( tr2i18n( "Disable mouse gestures globally" ) );
    mouse_button_label->setText( tr2i18n( "Mouse button:" ) );
    timeout_label->setText( tr2i18n( "Gesture timeout (ms):" ) );
    window_groupbox->setTitle( tr2i18n( "Windows to Exclude" ) );
}

/****************************************************************************
** Gestures_settings_tab_ui meta object code from reading C++ file 'gestures_settings_tab_ui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "gestures_settings_tab_ui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Gestures_settings_tab_ui::className() const
{
    return "Gestures_settings_tab_ui";
}

TQMetaObject *Gestures_settings_tab_ui::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Gestures_settings_tab_ui( "Gestures_settings_tab_ui", &Gestures_settings_tab_ui::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Gestures_settings_tab_ui::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Gestures_settings_tab_ui", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Gestures_settings_tab_ui::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Gestures_settings_tab_ui", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Gestures_settings_tab_ui::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Gestures_settings_tab_ui", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Gestures_settings_tab_ui.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Gestures_settings_tab_ui::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Gestures_settings_tab_ui" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool Gestures_settings_tab_ui::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Gestures_settings_tab_ui::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Gestures_settings_tab_ui::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool Gestures_settings_tab_ui::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
