#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'history_dlg.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "history_dlg.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <knuminput.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KonqSidebarHistoryDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KonqSidebarHistoryDlg::KonqSidebarHistoryDlg( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KonqHistoryDlg" );
    KonqHistoryDlgLayout = new TQVBoxLayout( this, 0, KDialog::spacingHint(), "KonqHistoryDlgLayout"); 

    gbLimits = new TQGroupBox( this, "gbLimits" );
    gbLimits->setColumnLayout(0, TQt::Vertical );
    gbLimits->layout()->setSpacing( KDialog::spacingHint() );
    gbLimits->layout()->setMargin( KDialog::marginHint() );
    gbLimitsLayout = new TQGridLayout( gbLimits->layout() );
    gbLimitsLayout->setAlignment( TQt::AlignTop );
    Spacer1 = new TQSpacerItem( 240, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    gbLimitsLayout->addItem( Spacer1, 1, 2 );

    cbExpire = new TQCheckBox( gbLimits, "cbExpire" );

    gbLimitsLayout->addWidget( cbExpire, 1, 0 );

    spinExpire = new KIntNumInput( gbLimits, "spinExpire" );

    gbLimitsLayout->addWidget( spinExpire, 1, 1 );

    lEntries = new TQLabel( gbLimits, "lEntries" );

    gbLimitsLayout->addWidget( lEntries, 0, 0 );

    spinEntries = new KIntNumInput( gbLimits, "spinEntries" );

    gbLimitsLayout->addWidget( spinEntries, 0, 1 );
    KonqHistoryDlgLayout->addWidget( gbLimits );

    gbFonts = new TQGroupBox( this, "gbFonts" );
    gbFonts->setColumnLayout(0, TQt::Vertical );
    gbFonts->layout()->setSpacing( KDialog::spacingHint() );
    gbFonts->layout()->setMargin( KDialog::marginHint() );
    gbFontsLayout = new TQGridLayout( gbFonts->layout() );
    gbFontsLayout->setAlignment( TQt::AlignTop );

    spinNewer = new KIntNumInput( gbFonts, "spinNewer" );

    gbFontsLayout->addWidget( spinNewer, 0, 1 );

    spinOlder = new KIntNumInput( gbFonts, "spinOlder" );

    gbFontsLayout->addWidget( spinOlder, 1, 1 );

    comboOlder = new TQComboBox( FALSE, gbFonts, "comboOlder" );

    gbFontsLayout->addWidget( comboOlder, 1, 2 );

    lbNewer = new TQLabel( gbFonts, "lbNewer" );

    gbFontsLayout->addWidget( lbNewer, 0, 0 );

    comboNewer = new TQComboBox( FALSE, gbFonts, "comboNewer" );

    gbFontsLayout->addWidget( comboNewer, 0, 2 );

    btnFontOlder = new TQPushButton( gbFonts, "btnFontOlder" );

    gbFontsLayout->addWidget( btnFontOlder, 1, 3 );

    lbOlder = new TQLabel( gbFonts, "lbOlder" );

    gbFontsLayout->addWidget( lbOlder, 1, 0 );

    btnFontNewer = new TQPushButton( gbFonts, "btnFontNewer" );

    gbFontsLayout->addWidget( btnFontNewer, 0, 3 );
    KonqHistoryDlgLayout->addWidget( gbFonts );

    gbDetails = new TQGroupBox( this, "gbDetails" );
    gbDetails->setColumnLayout(0, TQt::Vertical );
    gbDetails->layout()->setSpacing( KDialog::spacingHint() );
    gbDetails->layout()->setMargin( KDialog::marginHint() );
    gbDetailsLayout = new TQHBoxLayout( gbDetails->layout() );
    gbDetailsLayout->setAlignment( TQt::AlignTop );

    cbDetailedTips = new TQCheckBox( gbDetails, "cbDetailedTips" );
    gbDetailsLayout->addWidget( cbDetailedTips );
    KonqHistoryDlgLayout->addWidget( gbDetails );

    Layout4 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "Layout4"); 

    btnClearHistory = new TQPushButton( this, "btnClearHistory" );
    Layout4->addWidget( btnClearHistory );
    Spacer3 = new TQSpacerItem( 418, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout4->addItem( Spacer3 );
    KonqHistoryDlgLayout->addLayout( Layout4 );
    Spacer2 = new TQSpacerItem( 16, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KonqHistoryDlgLayout->addItem( Spacer2 );
    languageChange();
    resize( TQSize(450, 290).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lEntries->setBuddy( spinEntries );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KonqSidebarHistoryDlg::~KonqSidebarHistoryDlg()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KonqSidebarHistoryDlg::languageChange()
{
    gbLimits->setTitle( tr2i18n( "Limits" ) );
    cbExpire->setText( tr2i18n( "URLs e&xpire after" ) );
    lEntries->setText( tr2i18n( "Maximum &number of URLs:" ) );
    gbFonts->setTitle( tr2i18n( "Custom Fonts For" ) );
    lbNewer->setText( tr2i18n( "URLs newer than" ) );
    btnFontOlder->setText( tr2i18n( "Choose Font..." ) );
    lbOlder->setText( tr2i18n( "URLs older than" ) );
    btnFontNewer->setText( tr2i18n( "Choose Font..." ) );
    gbDetails->setTitle( tr2i18n( "Details" ) );
    cbDetailedTips->setText( tr2i18n( "Detailed tooltips" ) );
    TQToolTip::add( cbDetailedTips, tr2i18n( "Shows the number of times visited and the dates of the first and last visits, in addition to the URL" ) );
    btnClearHistory->setText( tr2i18n( "Clear History" ) );
}

/****************************************************************************
** KonqSidebarHistoryDlg meta object code from reading C++ file 'history_dlg.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "history_dlg.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KonqSidebarHistoryDlg::className() const
{
    return "KonqSidebarHistoryDlg";
}

TQMetaObject *KonqSidebarHistoryDlg::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KonqSidebarHistoryDlg( "KonqSidebarHistoryDlg", &KonqSidebarHistoryDlg::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KonqSidebarHistoryDlg::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KonqSidebarHistoryDlg", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KonqSidebarHistoryDlg::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KonqSidebarHistoryDlg", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KonqSidebarHistoryDlg::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KonqSidebarHistoryDlg", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KonqSidebarHistoryDlg.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KonqSidebarHistoryDlg::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KonqSidebarHistoryDlg" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KonqSidebarHistoryDlg::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KonqSidebarHistoryDlg::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KonqSidebarHistoryDlg::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KonqSidebarHistoryDlg::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
