#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kospagedlg.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kospagedlg.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqtextview.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "kdialog.h"

/*
 *  Constructs a KOSPageDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KOSPageDlg::KOSPageDlg( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KOSPageDlg" );
    KOSPageDlgLayout = new TQGridLayout( this, 1, 1, KDialog::marginHint(), KDialog::spacingHint(), "KOSPageDlgLayout"); 

    textview_ospage = new TQTextView( this, "textview_ospage" );

    KOSPageDlgLayout->addWidget( textview_ospage, 4, 1 );

    px_osSidebar = new TQLabel( this, "px_osSidebar" );
    px_osSidebar->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, px_osSidebar->sizePolicy().hasHeightForWidth() ) );
    px_osSidebar->setMinimumSize( TQSize( 170, 430 ) );
    px_osSidebar->setFrameShape( TQLabel::Panel );
    px_osSidebar->setFrameShadow( TQLabel::Sunken );
    px_osSidebar->setScaledContents( TRUE );
    px_osSidebar->setIndent( 0 );

    KOSPageDlgLayout->addMultiCellWidget( px_osSidebar, 0, 7, 0, 0 );

    TextLabel9 = new TQLabel( this, "TextLabel9" );

    KOSPageDlgLayout->addWidget( TextLabel9, 3, 1 );

    bg_ospage = new TQButtonGroup( this, "bg_ospage" );
    bg_ospage->setColumnLayout(0, TQt::Vertical );
    bg_ospage->layout()->setSpacing( KDialog::spacingHint() );
    bg_ospage->layout()->setMargin( KDialog::marginHint() );
    bg_ospageLayout = new TQGridLayout( bg_ospage->layout() );
    bg_ospageLayout->setAlignment( TQt::AlignTop );

    rb_kde = new TQRadioButton( bg_ospage, "rb_kde" );
    rb_kde->setChecked( TRUE );

    bg_ospageLayout->addWidget( rb_kde, 0, 0 );

    rb_unix = new TQRadioButton( bg_ospage, "rb_unix" );

    bg_ospageLayout->addWidget( rb_unix, 1, 0 );

    rb_windows = new TQRadioButton( bg_ospage, "rb_windows" );

    bg_ospageLayout->addWidget( rb_windows, 0, 1 );

    rb_mac = new TQRadioButton( bg_ospage, "rb_mac" );

    bg_ospageLayout->addWidget( rb_mac, 1, 1 );

    KOSPageDlgLayout->addWidget( bg_ospage, 2, 1 );

    TextLabel1 = new TQLabel( this, "TextLabel1" );
    TextLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)1, 0, 0, TextLabel1->sizePolicy().hasHeightForWidth() ) );

    KOSPageDlgLayout->addWidget( TextLabel1, 0, 1 );
    Spacer2 = new TQSpacerItem( 22, 10, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    KOSPageDlgLayout->addItem( Spacer2, 1, 1 );
    Spacer2_2 = new TQSpacerItem( 22, 16, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    KOSPageDlgLayout->addItem( Spacer2_2, 5, 1 );

    TextLabel2 = new TQLabel( this, "TextLabel2" );
    TextLabel2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    KOSPageDlgLayout->addWidget( TextLabel2, 6, 1 );

    cb_gestures = new TQCheckBox( this, "cb_gestures" );

    KOSPageDlgLayout->addWidget( cb_gestures, 7, 1 );
    languageChange();
    resize( TQSize(561, 460).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( rb_kde, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotKDEDescription() ) );
    connect( rb_unix, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotUnixDescription() ) );
    connect( rb_windows, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotWindowsDescription() ) );
    connect( rb_mac, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotMacDescription() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KOSPageDlg::~KOSPageDlg()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KOSPageDlg::languageChange()
{
    TextLabel9->setText( tr2i18n( "Description:" ) );
    bg_ospage->setTitle( tr2i18n( "Select Preferred System Behavior" ) );
    rb_kde->setText( tr2i18n( "TDE (TM)" ) );
    rb_unix->setText( tr2i18n( "UNIX (R)" ) );
    rb_windows->setText( tr2i18n( "Microsoft Windows (R)" ) );
    rb_mac->setText( tr2i18n( "Apple MacOS (R)" ) );
    TextLabel1->setText( tr2i18n( "<b>System Behavior</b><br>\n"
"Graphical User Interfaces behave differently on various Operating Systems.\n"
"Trinity allows you to customize its behavior according to your needs." ) );
    TextLabel2->setText( tr2i18n( "For motion impaired users, Trinity provides keyboard gestures to activate special keyboard settings." ) );
    cb_gestures->setText( tr2i18n( "Enable accessibility related keyboard gestures" ) );
}

void KOSPageDlg::slotWindowsDescription()
{
    tqWarning( "KOSPageDlg::slotWindowsDescription(): Not implemented yet" );
}

void KOSPageDlg::slotKDEDescription()
{
    tqWarning( "KOSPageDlg::slotKDEDescription(): Not implemented yet" );
}

void KOSPageDlg::slotMacDescription()
{
    tqWarning( "KOSPageDlg::slotMacDescription(): Not implemented yet" );
}

void KOSPageDlg::slotUnixDescription()
{
    tqWarning( "KOSPageDlg::slotUnixDescription(): Not implemented yet" );
}

/****************************************************************************
** KOSPageDlg meta object code from reading C++ file 'kospagedlg.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kospagedlg.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KOSPageDlg::className() const
{
    return "KOSPageDlg";
}

TQMetaObject *KOSPageDlg::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KOSPageDlg( "KOSPageDlg", &KOSPageDlg::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KOSPageDlg::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KOSPageDlg", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KOSPageDlg::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KOSPageDlg", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KOSPageDlg::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"slotWindowsDescription", 0, 0 };
    static const TQUMethod slot_1 = {"slotKDEDescription", 0, 0 };
    static const TQUMethod slot_2 = {"slotMacDescription", 0, 0 };
    static const TQUMethod slot_3 = {"slotUnixDescription", 0, 0 };
    static const TQUMethod slot_4 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "slotWindowsDescription()", &slot_0, TQMetaData::Public },
	{ "slotKDEDescription()", &slot_1, TQMetaData::Public },
	{ "slotMacDescription()", &slot_2, TQMetaData::Public },
	{ "slotUnixDescription()", &slot_3, TQMetaData::Public },
	{ "languageChange()", &slot_4, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KOSPageDlg", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KOSPageDlg.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KOSPageDlg::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KOSPageDlg" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KOSPageDlg::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotWindowsDescription(); break;
    case 1: slotKDEDescription(); break;
    case 2: slotMacDescription(); break;
    case 3: slotUnixDescription(); break;
    case 4: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KOSPageDlg::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KOSPageDlg::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KOSPageDlg::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
